Sync with portage [Sun Jul 14 18:48:54 MSK 2019].

mhiretskiy 1453
root 5 years ago
parent 5881edeec0
commit afa68aa5d9

Binary file not shown.

Binary file not shown.

@ -1,2 +1,3 @@
DIST bzip2-1.0.6.tar.gz 782025 BLAKE2B b31533af7c71d715e6600874bb0a11b9b3aebbb08af0414a6d88bd5a2ad879a482ad408338159cb6c241815da8f48798d2ea7789ea971431d0be42ee827b0a7e SHA512 00ace5438cfa0c577e5f578d8a808613187eff5217c35164ffe044fbafdfec9e98f4192c02a7d67e01e5a5ccced630583ad1003c37697219b0f147343a3fdd12
DIST bzip2-1.0.7.tar.gz 809680 BLAKE2B da185d9771dd83d59f2c13ea32e9a514ce50c97d69145ca2c4c8f28749fc85c1aec491c5100f4fc6b2183ee397015b7e74a0407dc1d7a360db159a0a3676fd7a SHA512 e0e19b493e6b1f7beeb0eeb0be8a6358c24202173f28acb1e902a768835be9e24f2cb966452fbc90fc3e4e692532ce0c7e86d06aef2d52c0d2a9ac16e12ec8c8
DIST bzip2-1.0.8.tar.gz 810029 BLAKE2B 22ab3acd84f4db8c3d6f59340c252faedfd4447cea00dafbd652e65b6cf8a20adf6835c22e58563004cfafdb15348c924996230b4b23cae42da5e25eeac4bdad SHA512 083f5e675d73f3233c7930ebe20425a533feedeaaa9d8cc86831312a6581cefbe6ed0d08d2fa89be81082f2a5abdabca8b3c080bf97218a1bd59dc118a30b9f3

@ -0,0 +1,114 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# XXX: atm, libbz2.a is always PIC :(, so it is always built quickly
# (since we're building shared libs) ...
EAPI=7
inherit toolchain-funcs multilib-minimal
DESCRIPTION="A high-quality data compressor used extensively by Gentoo Linux"
HOMEPAGE="https://sourceware.org/bzip2/"
SRC_URI="https://sourceware.org/pub/${PN}/${P}.tar.gz"
LICENSE="BZIP2"
SLOT="0/1" # subslot = SONAME
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd"
IUSE="static static-libs"
PATCHES=(
"${FILESDIR}"/${PN}-1.0.4-makefile-CFLAGS.patch
"${FILESDIR}"/${PN}-1.0.8-saneso.patch
"${FILESDIR}"/${PN}-1.0.4-man-links.patch #172986
"${FILESDIR}"/${PN}-1.0.6-progress.patch
"${FILESDIR}"/${PN}-1.0.3-no-test.patch
"${FILESDIR}"/${PN}-1.0.8-mingw.patch #393573
"${FILESDIR}"/${PN}-1.0.8-out-of-tree-build.patch
)
DOCS=( CHANGES README{,.COMPILATION.PROBLEMS,.XML.STUFF} manual.pdf )
HTML_DOCS=( manual.html )
src_prepare() {
default
# - Use right man path
# - Generate symlinks instead of hardlinks
# - pass custom variables to control libdir
sed -i \
-e 's:\$(PREFIX)/man:\$(PREFIX)/share/man:g' \
-e 's:ln -s -f $(PREFIX)/bin/:ln -s -f :' \
-e 's:$(PREFIX)/lib:$(PREFIX)/$(LIBDIR):g' \
Makefile || die
}
bemake() {
emake \
VPATH="${S}" \
CC="$(tc-getCC)" \
AR="$(tc-getAR)" \
RANLIB="$(tc-getRANLIB)" \
"$@"
}
multilib_src_compile() {
bemake -f "${S}"/Makefile-libbz2_so all
# Make sure we link against the shared lib #504648
ln -s libbz2.so.${PV} libbz2.so || die
bemake -f "${S}"/Makefile all LDFLAGS="${LDFLAGS} $(usex static -static '')"
}
multilib_src_install() {
into /usr
# Install the shared lib manually. We install:
# .x.x.x - standard shared lib behavior
# .x.x - SONAME some distros use #338321
# .x - SONAME Gentoo uses
dolib.so libbz2.so.${PV}
local v
for v in libbz2.so{,.{${PV%%.*},${PV%.*}}} ; do
dosym libbz2.so.${PV} /usr/$(get_libdir)/${v}
done
use static-libs && dolib.a libbz2.a
if multilib_is_native_abi ; then
gen_usr_ldscript -a bz2
dobin bzip2recover
into /
dobin bzip2
fi
}
multilib_src_install_all() {
# `make install` doesn't cope with out-of-tree builds, nor with
# installing just non-binaries, so handle things ourselves.
insinto /usr/include
doins bzlib.h
into /usr
dobin bz{diff,grep,more}
doman *.1
dosym bzdiff /usr/bin/bzcmp
dosym bzdiff.1 /usr/share/man/man1/bzcmp.1
dosym bzmore /usr/bin/bzless
dosym bzmore.1 /usr/share/man/man1/bzless.1
local x
for x in bunzip2 bzcat bzip2recover ; do
dosym bzip2.1 /usr/share/man/man1/${x}.1
done
for x in bz{e,f}grep ; do
dosym bzgrep /usr/bin/${x}
dosym bzgrep.1 /usr/share/man/man1/${x}.1
done
einstalldocs
# move "important" bzip2 binaries to /bin and use the shared libbz2.so
dosym bzip2 /bin/bzcat
dosym bzip2 /bin/bunzip2
}

@ -0,0 +1,16 @@
make it build for mingw targets
https://bugs.gentoo.org/393573
--- a/bzlib.h
+++ b/bzlib.h
@@ -81,6 +81,9 @@ typedef
/* windows.h define small to char */
# undef small
# endif
+# ifndef WINAPI
+# define WINAPI
+# endif
# ifdef BZ_EXPORT
# define BZ_API(func) WINAPI func
# define BZ_EXTERN extern

@ -0,0 +1,76 @@
--- bzip2-1.0.8/Makefile
+++ bzip2-1.0.8/Makefile
@@ -54,7 +54,6 @@
check: test
test: bzip2
- @cat words1
./bzip2 -1 < sample1.ref > sample1.rb2
./bzip2 -2 < sample2.ref > sample2.rb2
./bzip2 -3 < sample3.ref > sample3.rb2
@@ -67,7 +66,6 @@
cmp sample1.tst sample1.ref
cmp sample2.tst sample2.ref
cmp sample3.tst sample3.ref
- @cat words3
install: bzip2 bzip2recover
if ( test ! -d $(PREFIX)/bin ) ; then mkdir -p $(PREFIX)/bin ; fi
@@ -113,25 +111,8 @@
sample1.rb2 sample2.rb2 sample3.rb2 \
sample1.tst sample2.tst sample3.tst
-blocksort.o: blocksort.c
- @cat words0
- $(CC) $(CFLAGS) -c blocksort.c
-huffman.o: huffman.c
- $(CC) $(CFLAGS) -c huffman.c
-crctable.o: crctable.c
- $(CC) $(CFLAGS) -c crctable.c
-randtable.o: randtable.c
- $(CC) $(CFLAGS) -c randtable.c
-compress.o: compress.c
- $(CC) $(CFLAGS) -c compress.c
-decompress.o: decompress.c
- $(CC) $(CFLAGS) -c decompress.c
-bzlib.o: bzlib.c
- $(CC) $(CFLAGS) -c bzlib.c
-bzip2.o: bzip2.c
- $(CC) $(CFLAGS) -c bzip2.c
-bzip2recover.o: bzip2recover.c
- $(CC) $(CFLAGS) -c bzip2recover.c
+%.o: %.c
+ $(CC) $(CFLAGS) -c $<
distclean: clean
--- bzip2-1.0.8/Makefile-libbz2_so
+++ bzip2-1.0.8/Makefile-libbz2_so
@@ -36,24 +36,10 @@
all: $(OBJS)
$(CC) $(LDFLAGS) -shared -Wl,-soname -Wl,libbz2.so.1.0 -o libbz2.so.1.0.8 $(OBJS)
- $(CC) $(LDFLAGS) $(CFLAGS) -o bzip2-shared bzip2.c libbz2.so.1.0.8
- rm -f libbz2.so.1.0
- ln -s libbz2.so.1.0.8 libbz2.so.1.0
+ ln -sf libbz2.so.1.0.8 libbz2.so.1.0
clean:
rm -f $(OBJS) bzip2.o libbz2.so.1.0.8 libbz2.so.1.0 bzip2-shared
-blocksort.o: blocksort.c
- $(CC) $(CFLAGS) -c blocksort.c
-huffman.o: huffman.c
- $(CC) $(CFLAGS) -c huffman.c
-crctable.o: crctable.c
- $(CC) $(CFLAGS) -c crctable.c
-randtable.o: randtable.c
- $(CC) $(CFLAGS) -c randtable.c
-compress.o: compress.c
- $(CC) $(CFLAGS) -c compress.c
-decompress.o: decompress.c
- $(CC) $(CFLAGS) -c decompress.c
-bzlib.o: bzlib.c
- $(CC) $(CFLAGS) -c bzlib.c
+%.o: %.c
+ $(CC) $(CFLAGS) -c $<

@ -0,0 +1,13 @@
--- bzip2-1.0.8/Makefile-libbz2_so
+++ bzip2-1.0.8/Makefile-libbz2_so
@@ -35,8 +35,8 @@
bzlib.o
all: $(OBJS)
- $(CC) -shared -Wl,-soname -Wl,libbz2.so.1.0 -o libbz2.so.1.0.8 $(OBJS)
- $(CC) $(CFLAGS) -o bzip2-shared bzip2.c libbz2.so.1.0.8
+ $(CC) $(LDFLAGS) -shared -Wl,-soname -Wl,libbz2.so.1.0 -o libbz2.so.1.0.8 $(OBJS)
+ $(CC) $(LDFLAGS) $(CFLAGS) -o bzip2-shared bzip2.c libbz2.so.1.0.8
rm -f libbz2.so.1.0
ln -s libbz2.so.1.0.8 libbz2.so.1.0

@ -0,0 +1,87 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit versionator
MY_P="${PN}-$(replace_version_separator 2 b)"
S=${WORKDIR}/${MY_P}
DESCRIPTION="Dump/restore ext2fs backup utilities"
HOMEPAGE="http://dump.sourceforge.net/"
SRC_URI="mirror://sourceforge/dump/${MY_P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
# We keep uuid USE flag default dsiabled for this version. Don't forget
# to default enable it for later versions as this is the upstream default.
IUSE="bzip2 debug ermt libressl lzo readline selinux sqlite ssl static test uuid zlib"
REQUIRED_USE="
ermt? ( ssl )
ssl? ( zlib )
test? ( sqlite? ( uuid ) )
"
RDEPEND=">=sys-fs/e2fsprogs-1.27:=
>=sys-libs/e2fsprogs-libs-1.27:=
sys-apps/util-linux
bzip2? ( >=app-arch/bzip2-1.0.2:= )
zlib? ( >=sys-libs/zlib-1.1.4:= )
lzo? ( dev-libs/lzo:2= )
sqlite? ( dev-db/sqlite:3= )
ermt? (
!libressl? ( dev-libs/openssl:0= )
libressl? ( dev-libs/libressl:0= )
)
ssl? (
!libressl? ( dev-libs/openssl:0= )
libressl? ( dev-libs/libressl:0= )
)
readline? (
sys-libs/readline:0=
sys-libs/ncurses:=
static? ( sys-libs/ncurses:=[static-libs] )
)"
DEPEND="${RDEPEND}
virtual/pkgconfig
virtual/os-headers"
PATCHES=( "${FILESDIR}"/${P}-openssl11.patch )
src_configure() {
local myeconfargs=(
--with-dumpdatespath=/etc/dumpdates
--with-rmtpath='$(sbindir)/rmt'
--enable-blkid
$(use_enable bzip2)
$(use_enable debug)
$(use_enable ermt)
$(use_enable lzo)
$(use_enable readline)
$(use_enable selinux)
$(use_enable sqlite)
$(use_enable ssl)
$(use_enable static static-progs)
$(use_enable uuid)
$(use_enable zlib)
)
econf "${myeconfargs[@]}"
}
src_install() {
default
mv "${ED}"/usr/sbin/{,dump-}rmt || die
mv "${ED}"/usr/share/man/man8/{,dump-}rmt.8 || die
use ermt && newsbin rmt/ermt dump-ermt
dodoc KNOWNBUGS MAINTAINERS REPORTING-BUGS
dodoc -r examples
}
pkg_postinst() {
if [[ -z ${REPLACING_VERSIONS} ]] ; then
ewarn "app-arch/dump installs 'rmt' as 'dump-rmt'."
ewarn "This is to avoid conflicts with app-arch/tar 'rmt'."
fi
}

@ -0,0 +1,91 @@
Index: dump-0.4b46/common/transformation_ssl.c
===================================================================
--- dump-0.4b46.orig/common/transformation_ssl.c
+++ dump-0.4b46/common/transformation_ssl.c
@@ -215,7 +215,10 @@ generateIV(Transformation *xform, unsign
/* to be exposed to any attacker anyway. */
*saltlen = 16;
if (xform->enc == 1) {
- RAND_pseudo_bytes(salt, *saltlen);
+ if (!RAND_bytes(salt, *saltlen) != 1) {
+ /* PRNG not sufficiently seeded */
+ return -1;
+ }
}
memcpy(ivbuffer, salt, 16);
@@ -274,7 +277,7 @@ ssl_compress(Transformation *xform, stru
digestlen = sizeof(digest);
/* generate salt, put it in header */
- generateIV(xform, salt, &saltlen, iv, &ivlen);
+ generateIV(xform, salt, &saltlen, iv, &ivlen); /* TODO: check return value */
memcpy(tpbin->buf, salt, saltlen);
/* compress the buffer first - increase the entropy */
@@ -351,7 +354,7 @@ ssl_decompress(Transformation *xform, st
// how to know salt length?
memcpy(salt, src, saltlen);
- generateIV(xform, salt, &saltlen, iv, &ivlen);
+ generateIV(xform, salt, &saltlen, iv, &ivlen); /* TODO: check return value */
EVP_DecryptInit_ex(xform->state.ssl.dataCtx, xform->state.ssl.cipher, xform->state.ssl.engine, NULL, NULL);
//EVP_CIPHER_CTX_set_key_length(&ctx, 8);
@@ -515,7 +518,7 @@ Transformation
//EVP_CIPHER_CTX_rand_key(ctx, t->state.ssl.key);
//EVP_CIPHER_CTX_cleanup(ctx);
//EVP_CIPHER_CTX_free(ctx);
- RAND_bytes(t->state.ssl.key, t->state.ssl.cipher->key_len);
+ RAND_bytes(t->state.ssl.key, EVP_CIPHER_key_length(t->state.ssl.cipher));
} else {
// how do we get keys?
}
Index: dump-0.4b46/rmt/cipher.c
===================================================================
--- dump-0.4b46.orig/rmt/cipher.c
+++ dump-0.4b46/rmt/cipher.c
@@ -23,7 +23,7 @@
char *
cipher(char *buf, int buflen, int do_encrypt)
{
- static EVP_CIPHER_CTX ctx;
+ EVP_CIPHER_CTX *ctx = EVP_CIPHER_CTX_new();
static char *out = NULL; /* return value, grown as necessary */
static int outlen = 0;
static int init = 0, which, blocksize;
@@ -71,13 +71,13 @@ cipher(char *buf, int buflen, int do_enc
}
EVP_BytesToKey(cipher, EVP_md5(), NULL,
buf, strlen(buf), 1, key, iv);
- EVP_CIPHER_CTX_init(&ctx);
- EVP_CipherInit_ex(&ctx, cipher, NULL, key, iv, do_encrypt);
- EVP_CIPHER_CTX_set_padding(&ctx, 0); // -nopad
+ EVP_CIPHER_CTX_init(ctx);
+ EVP_CipherInit_ex(ctx, cipher, NULL, key, iv, do_encrypt);
+ EVP_CIPHER_CTX_set_padding(ctx, 0); // -nopad
OPENSSL_cleanse(buf, sizeof buf);
OPENSSL_cleanse(key, sizeof key);
OPENSSL_cleanse(iv, sizeof iv);
- blocksize = EVP_CIPHER_CTX_block_size(&ctx);
+ blocksize = EVP_CIPHER_CTX_block_size(ctx);
which = do_encrypt;
init = 1;
}
@@ -95,7 +95,7 @@ cipher(char *buf, int buflen, int do_enc
outlen = (buflen+blocksize) * 2;
out = realloc(out, outlen);
}
- if (!EVP_CipherUpdate(&ctx, out, &n, buf, buflen)) {
+ if (!EVP_CipherUpdate(ctx, out, &n, buf, buflen)) {
syslog(LOG_ERR, "EVP_CipherUpdate failed");
errno = EINVAL;
return NULL;
@@ -106,6 +106,7 @@ cipher(char *buf, int buflen, int do_enc
return NULL;
}
// assert(ctx->buf_len == 0);
+ EVP_CIPHER_CTX_free(ctx);
return out;
}

Binary file not shown.

@ -1 +1,2 @@
DIST JohnTheRipper-1.8.0-jumbo-1.tar.gz 32533148 BLAKE2B 15929fa25314438619899582b209bee6902b1e53dc2df39ed6a686820665fd4d8e56d26b3f0082d05dc6be2f54add3526570d936c0a929641e33e6dcfb7a13b5 SHA512 8b7fad7a6330b5ff1afc306218ba698aaa27776b566f82c2e76102d5ceb10aeafa69d71fa6fff67c81996ea2c6a04384bab4696ed192306c6d074873562e7089
DIST john-1.9.0-jumbo-1.tar.xz 33638768 BLAKE2B 2fd6813e234308408d42581705ee8b25f9217a3dfb43f05483156f7bb67d0ce0d6de9c3ce8c2e4a17bb99bb377119dae2897bc08c800e7bc80bc6cf245400df6 SHA512 c5cb5dc739ee4c666f8479cdf10511fddc391b590c59f90c060d3ccd8449b794ac7b831a6d1f7553883892499e709a66578cfa4d62caef9b7e0a831eb827e808

@ -0,0 +1,123 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit flag-o-matic toolchain-funcs pax-utils
DESCRIPTION="fast password cracker"
HOMEPAGE="http://www.openwall.com/john/"
MY_PN="JohnTheRipper"
if [[ ${PV} == "9999" ]] ; then
EGIT_REPO_URI="https://github.com/magnumripper/${MY_PN}.git"
inherit git-r3
KEYWORDS=""
else
JUMBO="jumbo-1"
MY_PV="${PV}-${JUMBO}"
MY_P="john-${MY_PV}"
SRC_URI="https://www.openwall.com/john/k/${MY_P}.tar.xz"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos"
S="${WORKDIR}/${MY_P}"
fi
LICENSE="GPL-2"
SLOT="0"
#removed rexgen and commoncrypto
IUSE="custom-cflags kerberos mpi opencl openmp pcap"
DEPEND=">=dev-libs/openssl-1.0.1:0
mpi? ( virtual/mpi )
opencl? ( virtual/opencl )
kerberos? ( virtual/krb5 )
pcap? ( net-libs/libpcap )
dev-libs/gmp:*
sys-libs/zlib
app-arch/bzip2"
RDEPEND="${DEPEND}
!app-crypt/johntheripper"
pkg_setup() {
if use openmp && [[ ${MERGE_TYPE} != binary ]]; then
tc-has-openmp || die "Please switch to an openmp compatible compiler"
fi
}
src_prepare() {
sed -i 's#$prefix/share/john#/etc/john#' src/configure || die
default
}
src_configure() {
cd src || die
use custom-cflags || strip-flags
econf \
--disable-native-march \
--disable-native-tests \
--without-commoncrypto \
--disable-rexgen \
--with-openssl \
--with-systemwide \
$(use_enable mpi) \
$(use_enable opencl) \
$(use_enable openmp) \
$(use_enable pcap)
}
src_compile() {
emake -C src
}
src_test() {
pax-mark -mr run/john
#if use opencl; then
#gpu tests fail in portage, so run cpu only tests
# ./run/john --device=cpu --test=0 --verbosity=2 || die
#else
#weak tests
# ./run/john --test=0 --verbosity=2 || die
#strong tests
#./run/john --test=1 --verbosity=2 || die
#fi
ewarn "When built systemwide, john can't run tests without reading files in /etc."
ewarn "Don't bother opening a bug for this unless you include a patch to fix it"
}
src_install() {
# executables
dosbin run/john
newsbin run/mailer john-mailer
pax-mark -mr "${ED}/usr/sbin/john"
# grep '$(LN)' Makefile.in | head -n-3 | tail -n+2 | cut -d' ' -f3 | cut -d/ -f3
for s in \
unshadow unafs undrop unique ssh2john putty2john pfx2john keepass2john keyring2john \
zip2john gpg2john rar2john racf2john keychain2john kwallet2john pwsafe2john dmg2john \
hccap2john base64conv truecrypt_volume2john keystore2john
do
dosym john /usr/sbin/$s
done
insinto /usr/share/john
doins run/*.py
if use opencl; then
insinto /etc/john
doins -r run/kernels
fi
# config files
insinto /etc/john
doins run/*.chr run/password.lst
doins run/*.conf
doins -r run/rules run/ztex
# documentation
dodoc -r doc/*
}

Binary file not shown.

@ -0,0 +1,57 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="7"
MY_PV="${PV:0:4}-${PV:4:2}.${PV:6:2}"
inherit myspell-r2
DESCRIPTION="English dictionaries for myspell/hunspell"
HOMEPAGE="https://extensions.libreoffice.org/extensions/english-dictionaries"
SRC_URI="https://extensions.libreoffice.org/extensions/english-dictionaries/${MY_PV}/@@download/file/dict-en-${PV}.oxt"
LICENSE="BSD MIT LGPL-3+"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris"
IUSE=""
PLOCALES=( "en" "en-AU" "en-CA" "en-GB" "en-US" "en-ZA" )
IUSE+="${PLOCALES[@]/#/l10n_}"
REQUIRED_USE="|| ( ${IUSE[@]} )"
RDEPEND="!<dev-libs/hyphen-2.8.8-r1"
src_prepare() {
if use l10n_en-GB || use l10n_en; then
MYSPELL_HYPH=( "hyph_en_GB.dic" )
fi
if use l10n_en-US || use l10n_en; then
MYSPELL_HYPH=( "hyph_en_US.dic" )
MYSPELL_THES=(
"th_en_US_v2.dat"
"th_en_US_v2.idx"
)
fi
MYSPELL_DICT=( )
for lang in "${PLOCALES[@]}"; do
if [[ "${lang}" == "en" ]]; then
continue
fi
local mylinguas="${lang//-/_}"
if use "l10n_${lang}" || use l10n_en; then
MYSPELL_DICT+=( "${mylinguas}.aff" "${mylinguas}.dic" )
else
rm "README_${mylinguas}.txt" || die
if [[ ${lang} == "en-US" ]]; then
rm "README_hyph_en_US.txt" || die
fi
if [[ ${lang} == "en-GB" ]]; then
rm "README_hyph_en_GB.txt" || die
rm "README_en_GB_thes.txt" || die
fi
fi
done
default
}

Binary file not shown.

@ -1 +1,2 @@
DIST eclass-manpages-20190602.tar.xz 412572 BLAKE2B 260bdf6f50d7b1735a006d560c76ec21dfef39ddd77231dd52102a73d485c0bb4d54735d2bf34f15aeca2a626ecb8020abcebbd6130c7e015fded71445f4cf16 SHA512 7d6868a8363c83dea81d7f839f4037c8ceaae157fa3c099d6e455707ea0e8045a0a333448aff2be1c0733f449c32237cb704758fb8df4ce9e7357e8001c3a498
DIST eclass-manpages-20190714.tar.xz 416068 BLAKE2B cfab717198e947238b17b606afcb5f39efa377e5110c0d797397f38a4588a176f75a2ffc4276e92628739c3e7a7e39e54baa092306dd05e9ffbc6a24c6ca0db0 SHA512 65cb3507ee3338a1a7bd1274a68ba2dde79914747564cb2ed35c9307ed15826a0998fe141fa4d4e1c6e358b0c428bde256ced46888d192349a72f0313c33250c

@ -0,0 +1,20 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="7"
DESCRIPTION="Collection of Gentoo eclass manpages"
HOMEPAGE="https://github.com/mgorny/eclass-to-manpage"
SRC_URI="https://dev.gentoo.org/~mgorny/dist/${P}.tar.xz"
LICENSE="GPL-2"
SLOT="0"
# Keep the keywords stable. No need to change to ~arch.
KEYWORDS="alpha amd64 arm arm64 hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~x86-fbsd ~amd64-linux ~x86-linux ~x64-macos ~x86-solaris"
DEPEND="app-arch/xz-utils
sys-apps/gawk"
src_install() {
emake install DESTDIR="${D}" PREFIX=/usr
}

Binary file not shown.

@ -1,4 +1,4 @@
# Copyright 1999-2018 Gentoo Foundation
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -9,7 +9,7 @@ SRC_URI="https://github.com/libyal/libewf/releases/download/${PV}/${PN}-experime
LICENSE="BSD"
SLOT="0/3"
KEYWORDS="amd64 hppa ppc x86"
KEYWORDS="amd64 hppa ppc ~ppc64 x86"
# upstream bug #2597171, pyewf has implicit declarations
#IUSE="debug python unicode"
IUSE="bfio bzip2 debug +fuse nls +ssl static-libs +uuid unicode zlib"

Binary file not shown.

@ -1,3 +1,3 @@
DIST poedit-2.0.9.tar.gz 2567156 BLAKE2B 29e616256a19430cb3efd3db5d6c2cc450155009e30ee056f6be712bac9e631e5aa20b0758262e9fbe00937eedf6ac777cd8e7407a3060f04503e3fa4d9cd6d0 SHA512 9981339ae0c3f11f972ed2f25e0c96e5c0cc0210771cc44d163e219c32eb951fa4180c8a03acdd7f0232a5e4b535f3202dda703b57ccfb02773eb24e6a1eb02d
DIST poedit-2.1.1.tar.gz 2722379 BLAKE2B 3e5102ab9b2b6b6701abd3f44dab846d6989e5abdbcadf924cf7032d725fa1b405425cefa37eb0230d3de68ea0c60ec05e7bfe84f906cdec0230d8c1284f5779 SHA512 0b5e13c3e59c9bde78b95b45aa8765c16c03d12ca9fbabe4448e409ff4cd627676d1b77c011c75a54dc0e10acda23ceb49ca063e76a29154344dc5fdb9e5f8a8
DIST poedit-2.2.3.tar.gz 2834106 BLAKE2B bf3670f612ca673893eb9f6cb23b67d329669266345fb4c29af44da28ff536825935bb209a250053e6eb65d937a7ae4b183dccc855e4747cbcc1cbb94161b6e6 SHA512 566f397add593d0b05b995cbd1cff1b063b6eb49b02058511f13c27ed5887685816f8dd9280e1a6be2dd594049c6eecd73efc5cf7835475d3cb5a94fe38f280f
DIST poedit-2.2.tar.gz 2746800 BLAKE2B b093e5c1cd66eada6238af3b731752cc8dbf9feb3238c9b53ca972b805033f9f00b3ec92cae2b87353100653e7d7bd60a68bd109f07e523d4875e0f8ca8114e5 SHA512 14a5cc997e6cdc0d1fc14b05ea293a010537d71f846537270296e2a14bdfd7a352b6d0a88a3d4f60193192a918b276509e31926715e69725e595423adfac5fbc

@ -0,0 +1,21 @@
From 683788d49eb9cee391984659c39c3e2ac236b420 Mon Sep 17 00:00:00 2001
From: Thomas Klausner <tk@giga.or.at>
Date: Thu, 23 May 2019 08:11:34 +0200
Subject: [PATCH] Fix PCH-less compilation on Unix (#576)
---
src/welcomescreen.cpp | 1 +
1 file changed, 1 insertion(+)
diff --git a/src/welcomescreen.cpp b/src/welcomescreen.cpp
index 65eb7d0d92..a24b4d7d23 100644
--- a/src/welcomescreen.cpp
+++ b/src/welcomescreen.cpp
@@ -26,6 +26,7 @@
#include "welcomescreen.h"
#include "colorscheme.h"
+#include "customcontrols.h"
#include "crowdin_gui.h"
#include "edapp.h"
#include "edframe.h"

@ -1,9 +1,9 @@
# Copyright 1999-2018 Gentoo Foundation
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PLOCALES="an ar az be be@latin bg bs ca ckb co cs da de el en_GB es et eu fa fi fr ga gl he hr hu hy id is it ja ka kab kk ko lt lv ms nb nl oc pa pl pt_BR pt_PT ro ru sk sl sq sr sv tg th tr uk uz vi zh_CN zh_TW"
PLOCALES="af an ar az be be@latin bg bs ca ckb co cs da de el en_GB es et eu fa fi fr ga gl he hr hu hy id is it ja ka kab kk ko lt lv ms nb nl oc pa pl pt_BR pt_PT ro ru sk sl sq sr sv tg th tr uk uz vi zh_CN zh_TW"
WX_GTK_VER=3.0-gtk3
inherit gnome2-utils l10n wxwidgets xdg
@ -12,7 +12,7 @@ DESCRIPTION="GUI gettext translations editor"
HOMEPAGE="https://poedit.net"
SRC_URI="https://github.com/vslavik/${PN}/releases/download/v${PV}-oss/${P}.tar.gz"
KEYWORDS="amd64 ~hppa ~ppc ppc64 sparc x86"
KEYWORDS="~amd64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
LICENSE="MIT"
SLOT="0"
@ -20,6 +20,7 @@ RDEPEND="
app-text/gtkspell:3
x11-libs/gtk+:3
>=dev-cpp/lucene++-3.0.5
>=dev-libs/pugixml-1.9
dev-libs/boost:=[nls]
dev-libs/icu:=
>=x11-libs/wxGTK-3.0.3:${WX_GTK_VER}[X]
@ -28,6 +29,10 @@ RDEPEND="
DEPEND="${RDEPEND}
virtual/pkgconfig"
PATCHES=(
"${FILESDIR}"/${PV}-compile-fix.patch
)
src_prepare() {
my_rm_loc() {
sed -i -e "/^POEDIT_LINGUAS = /s: ${1}::" locales/Makefile.in || die

Binary file not shown.

@ -1,2 +1,3 @@
DIST flirc-3.11.6_amd64.deb 8994136 BLAKE2B 0dfcf230daee195a844aaf746e8f1cd259eb9b3eb7203483040c3b0c7ef2d7eded09064ed6dd30e3f72568f59dbddf3d96c5b26a84cad5f9e2e464c7e114e4bf SHA512 06dfb22653dac1efe3e67eab8b2806a4760f4b3646a712222658d48cfb3defe3abb9f5fe8a0bfbb8dfc332a0f4e89691c304402d3d5ea28328bd5b6619069ece
DIST flirc-3.11.6_armhf.deb 10631794 BLAKE2B c5ae5934cab825cb01ee1c92d48d1ee7867a318a029f3e60c8112cf887495d8bd7cbf9138836c7c42ab50174ec01b8d38fd51c963743e0939b4dca05c458d678 SHA512 3e7c9461827db8e3156002ea3119dc34fc00476d7df009e0484e77afee52b5ad58133da16d4017aa9d25890b5098615f70b36a4b5b18d77dc06fe6be19f1b6c0
DIST flirc-3.22.4_amd64.deb 9013138 BLAKE2B 5624f981fab68d58951d6f0411c059d098d260cf89a98c238b7fed0b7eebc2952d7584bfc9f0a6364757002a565faefbf489c2992031e91177ec8f3bb11979a0 SHA512 ad493a6efa30dcfd6f92dd7176cdd751c1129f669fdbaa4cf06a41447a5e1fc3ebd5d9100f82698ce82592fdd032bce86266489035879edc73f876177531576e
DIST flirc-3.22.4_arm.deb 10643940 BLAKE2B ace0ecf667e177253a1de50d6c629092ac39ad16c838e5b99006ba39c6bc068ebb1cf624d024e5634d10ae0d03e9bddc5e91357bc0a8fa5eac84eabc28f691f0 SHA512 6767e0e8c7ef1bdc3c1d0b0637bf01816382dac544b2cd7fd344a0ec5e54b0ecd1b2d5a668533f7808b171eacddd54c0fb2463f79acbfdb3dd448fec0e8564ae
DIST flirc-3.22.4_x86.deb 8989574 BLAKE2B bb1171def52e9171e3f97df7230de1f7bb6e2e571577e45aa9fe88bb11b663c322f90c0e74b4001e792954f8667105401aa0d3a05aa7b49264ea507a76f5c63e SHA512 4b51d0c6f89411ba54f412ac89b82760b8817ad774838de1af467dd0ca6d2ebf567a073d222f8563aedb68755dce53de8bff4a5dfa785d27f3123d206bbf2869

@ -1,19 +1,20 @@
# Copyright 1999-2018 Gentoo Foundation
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
EAPI=7
inherit desktop udev unpacker
DESCRIPTION="Allows you to pair any remote control with your computer or media center"
HOMEPAGE="https://flirc.tv/"
SRC_URI="
amd64? ( https://packagecloud.io/Flirc/repo/packages/ubuntu/artful/flirc_${PV}_amd64.deb/download.deb -> ${P}_amd64.deb )
arm? ( https://packagecloud.io/Flirc/repo/packages/debian/stretch/flirc_${PV}_armhf.deb/download.deb -> ${P}_armhf.deb )"
amd64? ( https://apt.fury.io/flirc/${P}-amd64 -> ${P}_amd64.deb )
arm? ( https://apt.fury.io/flirc/${P}-armhf -> ${P}_arm.deb )
x86? ( https://apt.fury.io/flirc/${P}-i386 -> ${P}_x86.deb )"
LICENSE="all-rights-reserved"
SLOT="0"
KEYWORDS="-* ~amd64 ~arm"
KEYWORDS="-* ~amd64 ~arm ~x86"
IUSE="+qt5"
RESTRICT="bindist mirror strip"
@ -36,11 +37,11 @@ QA_PREBUILT="/usr/bin/*"
src_install () {
udev_newrules etc/udev/rules.d/99-flirc.rules 51-flirc.rules
doman usr/share/doc/flirc/flirc_util.1
dobin usr/bin/flirc_util
doman usr/share/doc/flirc/flirc_util.1
if use qt5 ; then
doman usr/share/doc/flirc/Flirc.1
dobin usr/bin/Flirc
doman usr/share/doc/flirc/Flirc.1
doicon usr/share/pixmaps/Flirc.png
domenu usr/share/applications/Flirc.desktop
fi

Binary file not shown.

@ -4,6 +4,7 @@ DIST Python-3.5.5.tar.xz 15351440 BLAKE2B 217cb7f51e04d57983ce053ff4276d056e17c8
DIST Python-3.5.7.tar.xz 15324736 BLAKE2B 0f1dd80584385b7f859652c85dc6b51bf71cd9f1d53fcf1716c54e8ffc3d2a36ef9969956e4429ac1ba878dad1e9acbb5f82ddb6a9923886bf3c84b3327dfecb SHA512 83f57451e1d7082bf19e4e49a0902e9257e381836d9a04154a6b276135fa49e5c96b6869eed9ec4475e06b76556c1ae89f5cca111b762eb8b2dee6f65373e0f4
DIST Python-3.6.5.tar.xz 17049912 BLAKE2B f393e9563a18a46c457afcd2e174d9eacda20fe2b0ae5461e11c582fa4d27b85c01bbe7b602f45511b6b44f635c6330205b12fb3e8325ffd07e87b78a8258889 SHA512 6b26fcd296b9bd8e67861eff10d14db7507711ddba947288d16d6def53135c39326b7f969c04bb2b2993f924d9e7ad3f5c5282a3915760bc0885cf0a8ea5eb51
DIST Python-3.6.8.tar.xz 17212420 BLAKE2B e104b49a35492b622080ab81a446c0cdd1223e8ddf95c4e1b262762a027664b59f3e4deeda4ba7177115d780e48b6764a053acef640a645327df428d2e4820cd SHA512 b17867e451ebe662f50df83ed112d3656c089e7d750651ea640052b01b713b58e66aac9e082f71fd16f5b5510bc9b797f5ccd30f5399581e9aa406197f02938a
DIST Python-3.6.9.tar.xz 17212164 BLAKE2B ef33dbc1ea3bbeaf92092de867279d759e3a204ca4e8bf0e5c6a1adbb17a9220d8829245fa9f067ec6497a5789a4f60b8db8c727bb2bd8126df470921d552a53 SHA512 05de9c6f44d96a52bfce10ede4312de892573edaf8bece65926d19973a3a800d65eed7a857af945f69efcfb25efa3788e7a54016b03d80b611eb51c3ea074819
DIST Python-3.7.2.tar.xz 17042320 BLAKE2B 79b06b7d38590b7ad00850a4323156bfee07c4cf8531cbc09d262c6eb38721e32b8b0591fc21017e56948dd81763e9061f118f204eda5b9cc0b84e7132b42979 SHA512 6cd2d6d8455558783b99d55985cd7b22d67b98f41a09b4fdd96f680a630a4e035220d2b903f8c59ed513aa5ffe6730fa947ddb55bb72ce36f0e945ef8af5d971
DIST Python-3.7.3.tar.xz 17108364 BLAKE2B ac86ea442519a02f0afcb0d0ec70cb288ae28df63fc9f575ee4d8e03e6e31aff9ad2ff18ff5787d922727bd1c6f1a488f94541cd9787ac932d041c93847dea34 SHA512 6d9b7c0f1764e0f655a39430a3af6f7b5e3c9b7166c042e780677a54b17ad4ca6d0d9cba262c82b1b70bba8f7c28883dad4cc0d7cc194fc7d2c1b5f4f08a763a
DIST python-gentoo-patches-2.7.15.tar.xz 16208 BLAKE2B 5739c2b3a236d48f8e33f0fe6515bfe7a8f99096f6223b402653988feac2513d37d26b6e40e5e049852f42657358170e468ca60097e0e2294e760787c12ad591 SHA512 687fd008d1d41b1e65ce5417f6f6aba84ffd42f7af44ef97c03a7806b28e6888f8df043a0c15187a8b229cc17642853e6feb25494db97f4d10f8a66f8ebcbcca

@ -0,0 +1,349 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="6"
WANT_LIBTOOL="none"
inherit autotools flag-o-matic pax-utils python-utils-r1 toolchain-funcs
MY_P="Python-${PV}"
PATCHSET_VERSION="3.6.8"
DESCRIPTION="An interpreted, interactive, object-oriented programming language"
HOMEPAGE="https://www.python.org/"
SRC_URI="https://www.python.org/ftp/python/${PV}/${MY_P}.tar.xz
https://dev.gentoo.org/~floppym/python/python-gentoo-patches-${PATCHSET_VERSION}.tar.xz"
LICENSE="PSF-2"
SLOT="3.6/3.6m"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd"
IUSE="bluetooth build examples gdbm hardened ipv6 libressl +ncurses +readline sqlite +ssl test +threads tk wininst +xml"
RESTRICT="!test? ( test )"
# Do not add a dependency on dev-lang/python to this ebuild.
# If you need to apply a patch which requires python for bootstrapping, please
# run the bootstrap code on your dev box and include the results in the
# patchset. See bug 447752.
RDEPEND="app-arch/bzip2:0=
app-arch/xz-utils:0=
>=sys-libs/zlib-1.1.3:0=
virtual/libffi:=
virtual/libintl
gdbm? ( sys-libs/gdbm:0=[berkdb] )
ncurses? ( >=sys-libs/ncurses-5.2:0= )
readline? ( >=sys-libs/readline-4.1:0= )
sqlite? ( >=dev-db/sqlite-3.3.8:3= )
ssl? (
!libressl? ( dev-libs/openssl:0= )
libressl? ( dev-libs/libressl:0= )
)
tk? (
>=dev-lang/tcl-8.0:0=
>=dev-lang/tk-8.0:0=
dev-tcltk/blt:0=
dev-tcltk/tix
)
xml? ( >=dev-libs/expat-2.1:0= )
!!<sys-apps/sandbox-2.6-r1"
# bluetooth requires headers from bluez
DEPEND="${RDEPEND}
bluetooth? ( net-wireless/bluez )
test? ( app-arch/xz-utils[extra-filters(+)] )
virtual/pkgconfig
!sys-devel/gcc[libffi(-)]"
RDEPEND+=" !build? ( app-misc/mime-types )"
PDEPEND=">=app-eselect/eselect-python-20140125-r1"
S="${WORKDIR}/${MY_P}"
PYVER=${SLOT%/*}
src_prepare() {
# Ensure that internal copies of expat, libffi and zlib are not used.
rm -fr Modules/expat
rm -fr Modules/_ctypes/libffi*
rm -fr Modules/zlib
local PATCHES=(
"${WORKDIR}/patches"
)
default
sed -i -e "s:@@GENTOO_LIBDIR@@:$(get_libdir):g" \
Lib/distutils/command/install.py \
Lib/distutils/sysconfig.py \
Lib/site.py \
Lib/sysconfig.py \
Lib/test/test_site.py \
Makefile.pre.in \
Modules/Setup.dist \
Modules/getpath.c \
configure.ac \
setup.py || die "sed failed to replace @@GENTOO_LIBDIR@@"
eautoreconf
}
src_configure() {
local disable
# disable automagic bluetooth headers detection
use bluetooth || export ac_cv_header_bluetooth_bluetooth_h=no
use gdbm || disable+=" gdbm"
use ncurses || disable+=" _curses _curses_panel"
use readline || disable+=" readline"
use sqlite || disable+=" _sqlite3"
use ssl || export PYTHON_DISABLE_SSL="1"
use tk || disable+=" _tkinter"
use xml || disable+=" _elementtree pyexpat" # _elementtree uses pyexpat.
export PYTHON_DISABLE_MODULES="${disable}"
if ! use xml; then
ewarn "You have configured Python without XML support."
ewarn "This is NOT a recommended configuration as you"
ewarn "may face problems parsing any XML documents."
fi
if [[ -n "${PYTHON_DISABLE_MODULES}" ]]; then
einfo "Disabled modules: ${PYTHON_DISABLE_MODULES}"
fi
if [[ "$(gcc-major-version)" -ge 4 ]]; then
append-flags -fwrapv
fi
filter-flags -malign-double
# https://bugs.gentoo.org/show_bug.cgi?id=50309
if is-flagq -O3; then
is-flagq -fstack-protector-all && replace-flags -O3 -O2
use hardened && replace-flags -O3 -O2
fi
# Export CXX so it ends up in /usr/lib/python3.X/config/Makefile.
tc-export CXX
# Set LDFLAGS so we link modules with -lpython3.2 correctly.
# Needed on FreeBSD unless Python 3.2 is already installed.
# Please query BSD team before removing this!
append-ldflags "-L."
local dbmliborder
if use gdbm; then
dbmliborder+="${dbmliborder:+:}gdbm"
fi
local myeconfargs=(
--with-fpectl
--enable-shared
$(use_enable ipv6)
$(use_with threads)
--infodir='${prefix}/share/info'
--mandir='${prefix}/share/man'
--with-computed-gotos
--with-dbmliborder="${dbmliborder}"
--with-libc=
--enable-loadable-sqlite-extensions
--without-ensurepip
--with-system-expat
--with-system-ffi
)
OPT="" econf "${myeconfargs[@]}"
if use threads && grep -q "#define POSIX_SEMAPHORES_NOT_ENABLED 1" pyconfig.h; then
eerror "configure has detected that the sem_open function is broken."
eerror "Please ensure that /dev/shm is mounted as a tmpfs with mode 1777."
die "Broken sem_open function (bug 496328)"
fi
}
src_compile() {
# Ensure sed works as expected
# https://bugs.gentoo.org/594768
local -x LC_ALL=C
emake CPPFLAGS= CFLAGS= LDFLAGS=
# Work around bug 329499. See also bug 413751 and 457194.
if has_version dev-libs/libffi[pax_kernel]; then
pax-mark E python
else
pax-mark m python
fi
}
src_test() {
# Tests will not work when cross compiling.
if tc-is-cross-compiler; then
elog "Disabling tests due to crosscompiling."
return
fi
# Skip failing tests.
local skipped_tests="gdb"
for test in ${skipped_tests}; do
mv "${S}"/Lib/test/test_${test}.py "${T}"
done
# bug 660358
local -x COLUMNS=80
local -x PYTHONDONTWRITEBYTECODE=
emake test EXTRATESTOPTS="-u-network" CPPFLAGS= CFLAGS= LDFLAGS= < /dev/tty
local result=$?
for test in ${skipped_tests}; do
mv "${T}/test_${test}.py" "${S}"/Lib/test
done
elog "The following tests have been skipped:"
for test in ${skipped_tests}; do
elog "test_${test}.py"
done
elog "If you would like to run them, you may:"
elog "cd '${EPREFIX}/usr/$(get_libdir)/python${PYVER}/test'"
elog "and run the tests separately."
if [[ ${result} -ne 0 ]]; then
die "emake test failed"
fi
}
src_install() {
local libdir=${ED}/usr/$(get_libdir)/python${PYVER}
emake DESTDIR="${D}" altinstall
sed \
-e "s/\(CONFIGURE_LDFLAGS=\).*/\1/" \
-e "s/\(PY_LDFLAGS=\).*/\1/" \
-i "${libdir}/config-${PYVER}"*/Makefile || die "sed failed"
# Fix collisions between different slots of Python.
rm -f "${ED}usr/$(get_libdir)/libpython3.so"
# Cheap hack to get version with ABIFLAGS
local abiver=$(cd "${ED}usr/include"; echo python*)
if [[ ${abiver} != python${PYVER} ]]; then
# Replace python3.X with a symlink to python3.Xm
rm "${ED}usr/bin/python${PYVER}" || die
dosym "${abiver}" "/usr/bin/python${PYVER}"
# Create python3.X-config symlink
dosym "${abiver}-config" "/usr/bin/python${PYVER}-config"
# Create python-3.5m.pc symlink
dosym "python-${PYVER}.pc" "/usr/$(get_libdir)/pkgconfig/${abiver/${PYVER}/-${PYVER}}.pc"
fi
# python seems to get rebuilt in src_install (bug 569908)
# Work around it for now.
if has_version dev-libs/libffi[pax_kernel]; then
pax-mark E "${ED}usr/bin/${abiver}"
else
pax-mark m "${ED}usr/bin/${abiver}"
fi
use sqlite || rm -r "${libdir}/"{sqlite3,test/test_sqlite*} || die
use tk || rm -r "${ED}usr/bin/idle${PYVER}" "${libdir}/"{idlelib,tkinter,test/test_tk*} || die
use threads || rm -r "${libdir}/multiprocessing" || die
use wininst || rm "${libdir}/distutils/command/"wininst-*.exe || die
dodoc "${S}"/Misc/{ACKS,HISTORY,NEWS}
if use examples; then
insinto /usr/share/doc/${PF}/examples
find "${S}"/Tools -name __pycache__ -print0 | xargs -0 rm -fr
doins -r "${S}"/Tools
fi
insinto /usr/share/gdb/auto-load/usr/$(get_libdir) #443510
local libname=$(printf 'e:\n\t@echo $(INSTSONAME)\ninclude Makefile\n' | \
emake --no-print-directory -s -f - 2>/dev/null)
newins "${S}"/Tools/gdb/libpython.py "${libname}"-gdb.py
newconfd "${FILESDIR}/pydoc.conf" pydoc-${PYVER}
newinitd "${FILESDIR}/pydoc.init" pydoc-${PYVER}
sed \
-e "s:@PYDOC_PORT_VARIABLE@:PYDOC${PYVER/./_}_PORT:" \
-e "s:@PYDOC@:pydoc${PYVER}:" \
-i "${ED}etc/conf.d/pydoc-${PYVER}" "${ED}etc/init.d/pydoc-${PYVER}" || die "sed failed"
# for python-exec
local vars=( EPYTHON PYTHON_SITEDIR PYTHON_SCRIPTDIR )
# if not using a cross-compiler, use the fresh binary
if ! tc-is-cross-compiler; then
local -x PYTHON=./python
local -x LD_LIBRARY_PATH=${LD_LIBRARY_PATH+${LD_LIBRARY_PATH}:}${PWD}
else
vars=( PYTHON "${vars[@]}" )
fi
python_export "python${PYVER}" "${vars[@]}"
echo "EPYTHON='${EPYTHON}'" > epython.py || die
python_domodule epython.py
# python-exec wrapping support
local pymajor=${PYVER%.*}
mkdir -p "${D}${PYTHON_SCRIPTDIR}" || die
# python and pythonX
ln -s "../../../bin/${abiver}" \
"${D}${PYTHON_SCRIPTDIR}/python${pymajor}" || die
ln -s "python${pymajor}" \
"${D}${PYTHON_SCRIPTDIR}/python" || die
# python-config and pythonX-config
# note: we need to create a wrapper rather than symlinking it due
# to some random dirname(argv[0]) magic performed by python-config
cat > "${D}${PYTHON_SCRIPTDIR}/python${pymajor}-config" <<-EOF || die
#!/bin/sh
exec "${abiver}-config" "\${@}"
EOF
chmod +x "${D}${PYTHON_SCRIPTDIR}/python${pymajor}-config" || die
ln -s "python${pymajor}-config" \
"${D}${PYTHON_SCRIPTDIR}/python-config" || die
# 2to3, pydoc, pyvenv
ln -s "../../../bin/2to3-${PYVER}" \
"${D}${PYTHON_SCRIPTDIR}/2to3" || die
ln -s "../../../bin/pydoc${PYVER}" \
"${D}${PYTHON_SCRIPTDIR}/pydoc" || die
ln -s "../../../bin/pyvenv-${PYVER}" \
"${D}${PYTHON_SCRIPTDIR}/pyvenv" || die
# idle
if use tk; then
ln -s "../../../bin/idle${PYVER}" \
"${D}${PYTHON_SCRIPTDIR}/idle" || die
fi
}
pkg_preinst() {
if has_version "<${CATEGORY}/${PN}-${PYVER}" && ! has_version ">=${CATEGORY}/${PN}-${PYVER}_alpha"; then
python_updater_warning="1"
fi
}
eselect_python_update() {
if [[ -z "$(eselect python show)" || ! -f "${EROOT}usr/bin/$(eselect python show)" ]]; then
eselect python update
fi
if [[ -z "$(eselect python show --python${PV%%.*})" || ! -f "${EROOT}usr/bin/$(eselect python show --python${PV%%.*})" ]]; then
eselect python update --python${PV%%.*}
fi
}
pkg_postinst() {
eselect_python_update
if [[ "${python_updater_warning}" == "1" ]]; then
ewarn "You have just upgraded from an older version of Python."
ewarn
ewarn "Please adjust PYTHON_TARGETS (if so desired), and run emerge with the --newuse or --changed-use option to rebuild packages installing python modules."
fi
}
pkg_postrm() {
eselect_python_update
}

Binary file not shown.

@ -0,0 +1,34 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
DESCRIPTION="ALTLinux hyphenation library"
HOMEPAGE="http://hunspell.github.io/"
SRC_URI="mirror://sourceforge/hunspell/${P}.tar.gz"
LICENSE="GPL-2 LGPL-2.1 MPL-1.1"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-fbsd ~amd64-linux ~x86-linux"
IUSE="static-libs"
RDEPEND="app-text/hunspell"
DEPEND="${RDEPEND}
dev-lang/perl
"
DOCS=( AUTHORS ChangeLog NEWS README{,.nonstandard,.hyphen,.compound} THANKS TODO )
src_configure() {
econf $(use_enable static-libs static)
}
src_install() {
default
docinto pdf
dodoc doc/*.pdf
rm -r "${ED}"/usr/share/hyphen || die
rm "${ED}"/usr/lib*/libhyphen.la || die
}

@ -15,7 +15,7 @@ if [[ ${PV} == 9999* ]] ; then
inherit autotools git-r3
else
SRC_URI="https://www.freedesktop.org/software/libevdev/${P}.tar.xz"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh sparc x86"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 hppa ia64 ~mips ~ppc ~ppc64 ~s390 ~sh sparc x86"
fi
LICENSE="MIT"

@ -12,7 +12,7 @@ SRC_URI="https://www.freedesktop.org/software/${PN}/${P}.tar.xz"
LICENSE="MIT"
SLOT="0/10"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 hppa ~ia64 ~ppc ~ppc64 ~s390 sparc x86"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 hppa ia64 ~ppc ~ppc64 ~s390 sparc x86"
IUSE="doc input_devices_wacom"
# Tests require write access to udev rules directory which is a no-no for live system.
# Other tests are just about logs, exported symbols and autotest of the test library.

Binary file not shown.

@ -5,3 +5,4 @@ DIST aiohttp-2.3.2.tar.gz 841030 BLAKE2B a291baa1c5e915815ec80ea1cbd8434b31f4098
DIST aiohttp-3.0.6.tar.gz 738111 BLAKE2B 28a3560a7b351ee974db8bbdd372798e01696e66660b6330707c542253c4d8a0405e6e8c2c8ec03c3b0ea8b548516ffb2dfe14b800b5f17e908991244bfd9335 SHA512 43f1b3c2da1bc57ac6e83a01abb3568b71ed5514e9331aaba4b691ff036d2d3e72eeddadd0f2f20608fa1f622a673ce1d4489bced2096ae546a350ad5f438d0d
DIST aiohttp-3.3.0.tar.gz 722307 BLAKE2B 3bf1906e8a518d443a2f1bfff536fe9c4024dd18d12ed791dd4a81cfa3f81260bbbf293ae093086fa45c068f3417bcc797d1ee01e64a890a9427944ac9836760 SHA512 e7dd320abb0d9baa0dd583ce034b2d2dd328aa37750197789207e80eabfaf1e998a58e9aa0a6b98ff213f8c78ca90b85698ac559c57f44ce1b643fc317735a4b
DIST aiohttp-3.4.4.tar.gz 822110 BLAKE2B 808c125f0d826b11d5b333ecfc35ed15cfe5a4f4242df5dd1b1e8edf6502c78d6162ad21e4fb7026294bc7013251a3b55d50c9cf34539b06b32348be2b1627a9 SHA512 968b701b8a19aa445a4af402f4bb38754565e3b80b4248127e5017671c921c370eea63fcec4148b7229ac1a74bb8739f33513abd6cb7fe02f3feddfd3ec1a6b1
DIST aiohttp-3.5.4.tar.gz 1097647 BLAKE2B 27d3631cf33cc5052deecfeca23f6c052fce344d9a889b0c0c0e68d9dcc19eb56e2ef2496f025c795dea4f906a59ae579ecd489188f8c56bc41255b4f450f4bf SHA512 9bc31457029f7db5bbfe1e213c1f428bf90ac96d83b6d2c8838261a3910ab9f7632a4299618377acb1bed04b0cbb4b4f6d9ee814495c05f210ed9bb4f4c61714

@ -15,6 +15,7 @@ LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~x86"
IUSE="doc test"
RESTRICT="!test? ( test )"
CDEPEND="
>=dev-python/async_timeout-3.0.0[${PYTHON_USEDEP}]
@ -57,6 +58,8 @@ python_prepare_all() {
sed -e 's:test_compression_brotli:_\0:' \
-e 's:test_feed_eof_no_err_brotli:_\0:' \
-i tests/test_http_parser.py || die
# make pytest warnings non-fatal, to unbreak tests
sed -i -e '/filterwarnings/d' setup.cfg || die
distutils-r1_python_prepare_all
}
@ -66,7 +69,7 @@ python_compile_all() {
}
python_test() {
esetup.py test
pytest -vv || die "Tests fail with ${EPYTHON}"
}
python_install_all() {

@ -0,0 +1,80 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{5,6,7} )
inherit distutils-r1
DESCRIPTION="http client/server for asyncio"
HOMEPAGE="https://pypi.org/project/aiohttp/"
SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz -> ${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="doc test"
RESTRICT="!test? ( test )"
CDEPEND="
>=dev-python/async_timeout-3.0.0[${PYTHON_USEDEP}]
>=dev-python/attrs-17.3.0[${PYTHON_USEDEP}]
dev-python/chardet[${PYTHON_USEDEP}]
>=dev-python/multidict-4.0.0[${PYTHON_USEDEP}]
>=dev-python/yarl-1.0[${PYTHON_USEDEP}]
dev-python/idna-ssl[${PYTHON_USEDEP}]
$(python_gen_cond_dep 'dev-python/typing-extensions[${PYTHON_USEDEP}]' \
python3_{5,6})
"
DEPEND="
dev-python/setuptools[${PYTHON_USEDEP}]
dev-python/cython[${PYTHON_USEDEP}]
doc? (
>=dev-python/alabaster-0.6.2[${PYTHON_USEDEP}]
dev-python/sphinxcontrib-asyncio[${PYTHON_USEDEP}]
dev-python/sphinxcontrib-blockdiag[${PYTHON_USEDEP}]
dev-python/sphinxcontrib-newsfeed[${PYTHON_USEDEP}]
dev-python/sphinxcontrib-spelling[${PYTHON_USEDEP}]
dev-python/sphinx[${PYTHON_USEDEP}]
dev-python/sphinx-aiohttp-theme[${PYTHON_USEDEP}]
)
test? (
${CDEPEND}
dev-python/async_generator[${PYTHON_USEDEP}]
dev-python/brotlipy[${PYTHON_USEDEP}]
>=dev-python/pytest-3.4.0[${PYTHON_USEDEP}]
dev-python/pytest-mock[${PYTHON_USEDEP}]
dev-python/pytest-timeout[${PYTHON_USEDEP}]
dev-python/trustme[${PYTHON_USEDEP}]
www-servers/gunicorn[${PYTHON_USEDEP}]
)
"
RDEPEND="${CDEPEND}"
DOCS=( CHANGES.rst CONTRIBUTING.rst CONTRIBUTORS.txt HISTORY.rst README.rst )
python_prepare_all() {
# FIXME
rm tests/test_pytest_plugin.py || die
sed -i -e 's:test_testcase_no_app:_&:' tests/test_test_utils.py || die
# remove pointless dep on pytest-cov
sed -i -e '/addopts/s/--cov=aiohttp//' pytest.ini || die
distutils-r1_python_prepare_all
}
python_compile_all() {
use doc && emake -C docs html
}
python_test() {
pytest -vv || die "Tests fail with ${EPYTHON}"
}
python_install_all() {
use doc && local HTML_DOCS=( docs/_build/html/. )
distutils-r1_python_install_all
}

@ -1,24 +1,27 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
EAPI=7
PYTHON_COMPAT=( python3_{5,6} )
PYTHON_COMPAT=( python3_{5,6,7} )
inherit distutils-r1
DESCRIPTION="Making it easy to write async iterators in Python 3.5"
HOMEPAGE="https://github.com/python-trio/async_generator https://pypi.org/project/async_generator/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="|| ( MIT Apache-2.0 )"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~x86"
IUSE="test"
RESTRICT="!test? ( test )"
DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
test? ( dev-python/pytest[${PYTHON_USEDEP}] )"
DOCS=( README.rst )
python_test() {
py.test -v || die "tests failed under ${EPYTHON}"
pytest -vv || die "tests failed under ${EPYTHON}"
}

@ -4,6 +4,9 @@
<maintainer type="person">
<email>zmedico@gentoo.org</email>
</maintainer>
<maintainer type="project">
<email>python@gentoo.org</email>
</maintainer>
<upstream>
<remote-id type="github">python-trio/async_generator</remote-id>
<remote-id type="pypi">async_generator</remote-id>

@ -2,4 +2,5 @@ DIST async-timeout-1.1.0.tar.gz 7590 BLAKE2B 855a630b1c1be6751ee416a9f394b93b25d
DIST async-timeout-1.2.0.tar.gz 7700 BLAKE2B a658cc80ba0b35d1f79286d8f6edac4aaf84e1bcef680b1ef096f6f9d14873800f948429d00fe09b26e20ab109c676fb1ca838931a83473f59863d490caf2c0e SHA512 81a8d3fd8a6756335ce7ea292afd0ba508ea120482dfc4526017dbf6ee809e6828818653be25dee123e8626fc89cc49cfbcff41748ec950b8797b2bb21f262db
DIST async-timeout-1.2.1.tar.gz 7797 BLAKE2B d8f736423631a2b2c0fb748eb2857e0f9a143af9591ddfae15d42ab13af33196a6624db5b0a705265269ed28c6c15a4e8cfe56143ccedac75a555ae62a82891b SHA512 2072caeb65a74f1a24b59a4ea905ef96d70f8fb117e3dd9c95c1107b1d67ffaa4d76b68f00364049e6e29cdb0a6d247ba0c3638ccd0a8db27bd6ee0f180f9ccb
DIST async-timeout-3.0.0.tar.gz 10803 BLAKE2B 3cee55e523a652c27f73bb3790d3c214f2744ef1ba3e0fe6fee80e5e4172cab808b08513d1beb99e71a36eda0a27d31fcf23e7a1ea0fb4569dc1310fef3557e6 SHA512 17df44da4d6038dcfa30b1394bcffbe9a31470c45fcd20c21da8dbea154fd2d508afafb19ce4da7f65422057e3a141be2bd9171d0a385556814759da0fb0496f
DIST async-timeout-3.0.1.tar.gz 9724 BLAKE2B f18ae75969b7048469fe22949f25ea25da3fdbf08b98a16b5d5ffe823060a75e6de9ed764727e08d4344c79426e9c89013d49522f20ed62e6fbe912b5c7a8787 SHA512 fd30842671a79edfd52c7350e7fb2120533a6d97b44975f7b071ce2cbde43443bd5bbe1f2ad0ad3ab2156e1987b9e58e0c149b0ecfea8674eb0cb78eee79c986
DIST async_timeout-1.0.0.tar.gz 7554 BLAKE2B a069f79eb25c1b698f688cff482970c60197ac6f22e610fe487e33180644a197961f97e1afc7d6ba86f9250add9c7c72d386b5209b8d99e0518c137246106225 SHA512 b02fa2f9558d23e6e1cc076f8d144dcfee7adeaad67c023ce747c99935c2809e2a2223f72b0a12274f11bacadc9b69a6bc3a2914c305ef05d483dc29908e9c97

@ -0,0 +1,38 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{5,6,7} )
inherit distutils-r1
MY_P=${PN/_/-}-${PV}
DESCRIPTION="Timeout context manager for asyncio programs"
HOMEPAGE="https://github.com/aio-libs/async-timeout"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${MY_P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~x86"
IUSE="test"
RESTRICT="!test? ( test )"
S=${WORKDIR}/${MY_P}
DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
dev-python/setuptools_scm[${PYTHON_USEDEP}]
test? (
dev-python/pytest[${PYTHON_USEDEP}]
dev-python/pytest-aiohttp[${PYTHON_USEDEP}]
)"
python_prepare_all() {
# remove pointless dep on pytest-cov
sed -i -e '/addopts/d' setup.cfg || die
# tests fail due to missing fixture when trying to load this file
rm tests/conftest.py || die
distutils-r1_python_prepare_all
}
python_test() {
pytest -vv || die "Tests fail with ${EPYTHON}"
}

@ -1,11 +1,14 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>zmedico@gentoo.org</email>
</maintainer>
<maintainer type="project">
<email>python@gentoo.org</email>
</maintainer>
<upstream>
<remote-id type="pypi">async_timeout</remote-id>
<remote-id type="github">aio-libs/async_timeout</remote-id>
</upstream>
<maintainer type="person">
<email>zmedico@gentoo.org</email>
</maintainer>
</pkgmetadata>

@ -1 +1,2 @@
DIST blockdiag-1.5.3.tar.gz 2704391 BLAKE2B 4d66263d63c73607a9f1e180172be49d25ffd042fb5ab088138dec542a47ee3e68c99442713f32b004ec31ca608686e495d3ec9172f8ab8b074d94d111733144 SHA512 11ff6334d1ae50c103158db6ef9acce76116a17cfb8e0066581c234138f17fabfddd183b154f407fe95dcd414b0054aebdc22682e82a8e7595905f1ee2fd6222
DIST blockdiag-1.5.4.tar.gz 2693073 BLAKE2B 8a825742b4144667153af00d5e334325f8a3b49823355787dbd577729da8b0fc221ead14ab899ef8aef1800bbc2cdc47f060330bf0a2f2f1bcd055d172d8adbb SHA512 0eef8b3837282ed611e044ee618abca1f799b4a151bc2d7cece140c97ac728b2f3b9a3bb6877d3fed42a74e0173d0cbfd2966521c4dfb21c266975b4062405d2

@ -0,0 +1,62 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
inherit distutils-r1
DESCRIPTION="Generate block-diagram image from text"
HOMEPAGE="http://blockdiag.com/ https://pypi.org/project/blockdiag/ https://bitbucket.org/blockdiag/blockdiag/"
SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~x86"
IUSE="test"
RESTRICT="!test? ( test )"
RDEPEND="
>=dev-python/funcparserlib-0.3.6[${PYTHON_USEDEP}]
>=dev-python/pillow-2.2.1[${PYTHON_USEDEP}]
dev-python/webcolors[${PYTHON_USEDEP}]
$(python_gen_cond_dep 'dev-python/configparser[${PYTHON_USEDEP}]' -2)
"
DEPEND="
dev-python/setuptools[${PYTHON_USEDEP}]
test? (
${RDEPEND}
dev-python/mock[${PYTHON_USEDEP}]
dev-python/nose[${PYTHON_USEDEP}]
dev-python/reportlab[${PYTHON_USEDEP}]
dev-python/docutils[${PYTHON_USEDEP}]
media-fonts/ja-ipafonts
)
"
PATCHES=( "${FILESDIR}/blockdiag-1.5.3-py2_7-test-fix.patch")
python_prepare_all() {
sed -i -e /build-base/d setup.cfg || die
# unnecessary dep
sed -i -e '/pep8/d' setup.py || die
# disable tests requiring Internet access
sed -i -e 's:test_app_cleans_up_images:_&:' \
src/blockdiag/tests/test_command.py || die
sed -i -e 's:ghostscript_not_found_test:_&:' \
src/blockdiag/tests/test_generate_diagram.py || die
rm src/blockdiag/tests/diagrams/node_icon.diag || die
distutils-r1_python_prepare_all
}
python_test() {
esetup.py test
}
pkg_postinst() {
einfo "For additional functionality, install the following optional packages:"
einfo " dev-python/reportlab for pdf format"
einfo " media-gfx/imagemagick"
einfo " wand: https://pypi.org/project/Wand"
einfo " Ctypes-based simple MagickWand API binding for Python"
}

@ -3,7 +3,7 @@
EAPI=6
PYTHON_COMPAT=( python{2_7,3_5,3_6} )
PYTHON_COMPAT=( python{2_7,3_5,3_6,3_7} )
inherit distutils-r1
@ -44,5 +44,5 @@ src_prepare() {
}
python_test() {
py.test -v || die "Testing failed"
pytest -vv || die "Testing failed"
}

@ -0,0 +1,30 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python{2_7,3_5,3_6,3_7} pypy )
inherit distutils-r1
DESCRIPTION="Recursive descent parsing library based on functional combinators"
HOMEPAGE="https://pypi.org/project/funcparserlib/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~x86"
IUSE=""
RDEPEND=""
DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
python_test() {
cd "${BUILD_DIR}"/lib || die
"${EPYTHON}" -m unittest discover -v || die "Tests fail with ${EPYTHON}"
}
python_install_all() {
local DOCS=( doc/*.md )
distutils-r1_python_install_all
}

@ -4,3 +4,4 @@ DIST grpcio-testing-1.18.0.tar.gz 16603 BLAKE2B 6f6170211701b56d5937947ef227cf91
DIST grpcio-testing-1.19.0.tar.gz 16355 BLAKE2B c4b88f4fdb358ca121593b1628faacf269e02ce1de8693401197883aed94005ae1903da9b92f77b77afa92f05a74ec6f65fbea22e6f16b7acaeba90283890b88 SHA512 82522447620ab0155cc3e4a159897942da15726ea7e29a0dccd76fa39e718539c8f05353b718729c87f77864873ae51f2b28487676ba6f26ccd9851a17f1973e
DIST grpcio-testing-1.20.1.tar.gz 16553 BLAKE2B 5ea6a92238cc086a030c23666340f32bb00941518f0507a2db306feccc568263813be6819d4bcd593f7e52575f79b1ef29d3024e591227b530815a95211a2c73 SHA512 5cce728015466ae6f14c28258abc71e73ef0b195ba2a874999d3a18f9f8e45450b50a3b4d3ee72f07d8c306a324de60383bfb0e12e5331968fe28519e0f2cb08
DIST grpcio-testing-1.21.1.tar.gz 16879 BLAKE2B 4595b99b174db549a2637c9e203e7de0a799086c0119751927b7d57b3837958e296671cbc7b6dd5598d8ea10fedbb23380de200604367308186c03ed77e607ea SHA512 3556c21f0d51a5b4cbfcf8eeec2b383b1aca5056337d3ee8f46a5dcc7c7fc4507b858d2309232e982650495a83d1d80f6fa251f25f77a6b180817fab8d4c4527
DIST grpcio-testing-1.22.0.tar.gz 16425 BLAKE2B b0eef2c42e0af82f56a7091fe5e82506df5e631a9e6a6624f1c9e84d6cd7d28247f8ff74bbe6f6b9207947a3436d51885195ae4029f9c2b1d32774c3a50e8873 SHA512 2eae97416bd27fabba7d9205d929fc6fa2781184a2d68f2c4bd0a4c045cb4c5f87ad58188f6eb81f0985a2b0bae710d39433d4ddd36ea72312cca292a1286969

@ -0,0 +1,22 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
inherit distutils-r1
DESCRIPTION="Testing utilities for gRPC Python"
HOMEPAGE="https://grpc.io"
SRC_URI="mirror://pypi/${PN::1}/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~x86"
RDEPEND="~dev-python/grpcio-${PV}[${PYTHON_USEDEP}]
dev-python/protobuf-python[${PYTHON_USEDEP}]
"
DEPEND="${RDEPEND}
dev-python/setuptools[${PYTHON_USEDEP}]
"

@ -4,3 +4,4 @@ DIST grpcio-tools-1.18.0.tar.gz 1925482 BLAKE2B a8a97e3a6204593bcc0e96d392652d31
DIST grpcio-tools-1.19.0.tar.gz 1920614 BLAKE2B 00d3a702071d33a51fe47aea6ef47d58e2901df6b55cee8fba1c382e45695fce32e2fc20e438d48b5024b7a80373bea76466f2981f58b106192016078f2df214 SHA512 f9832237a0ec3e1dc8550dce5c0b06bfe43d1bd164b251c1bf9b8075ee647f23c8da31f90c84cd7f047682832876616ec5c73b495cb4a1fa2d83982cf368eee2
DIST grpcio-tools-1.20.1.tar.gz 2018570 BLAKE2B 9c2ba04b06df9883ac79726aafec6eb129c338be93c61d49cafea29d4849bd497bd45da106431b7e17ece281037cfb0a53ed33ca7078306b727812fbce9df9b4 SHA512 2888e5c3ec92733b43b6bd115bbbfc2bace99ffeeff513a8c1c98fb670853a4407de41a5449613f88d8586fc21809d5a0c6de953dc211f3108b32198964db2ee
DIST grpcio-tools-1.21.1.tar.gz 2032788 BLAKE2B f26e94c92ebe076496a8738dcbdf9b67dedd5fd60426632589ba88bffd3943cd094881d61b4c67e25660902ec10887a0ed154dc9e6e33d97460313514f4d5eb6 SHA512 624f23bf9d7d6787d4b65e60d948feb88548ed6963443cf8cb1a3eaeaf03dd2ca9a8fd9e8a6882137b781b737b23934b84e3a922df95da95885bbd5f3de873b5
DIST grpcio-tools-1.22.0.tar.gz 2030853 BLAKE2B c1d9ea157a6a532b321f5e1b66e2f7e97044d5058cf3a198a031fe0ac7788e59f37a241a54741410ab67210a956e642131572774ede338a55f8f2edf66039d29 SHA512 0b733afb78ca60ce3ec0479cd0c4faf0d0d43ab2e015145d19f1c4736c79d0e3776813d0147e7e71f21f6cff2747eeb641fcf1399455936fd7b507bf38b38896

@ -0,0 +1,29 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
inherit distutils-r1 multiprocessing
DESCRIPTION="Protobuf code generator for gRPC"
HOMEPAGE="https://grpc.io"
SRC_URI="mirror://pypi/${PN::1}/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~x86"
RDEPEND="dev-python/cython[${PYTHON_USEDEP}]
~dev-python/grpcio-${PV}[${PYTHON_USEDEP}]
dev-python/protobuf-python[${PYTHON_USEDEP}]
!<net-libs/grpc-1.16.0[tools]
"
DEPEND="${RDEPEND}
dev-python/setuptools[${PYTHON_USEDEP}]
"
python_configure_all() {
export GRPC_PYTHON_BUILD_WITH_CYTHON=1
export GRPC_PYTHON_BUILD_EXT_COMPILER_JOBS="$(makeopts_jobs)"
}

@ -4,3 +4,4 @@ DIST grpcio-1.18.0.tar.gz 14601124 BLAKE2B 4dc57243759c573b960e841def6af335f490f
DIST grpcio-1.19.0.tar.gz 14621509 BLAKE2B b756ba60d317baa089b8ee57c458bc68fb72e61a87150f1ef3366fea23456ca8d5bd443ba1579d1bef5d0049f249fc8c2c6e7c7cc0967eb58c102fb03d783103 SHA512 620459dd1a22cf60cb6bccb1b7dd64175f1efdfc098152cfa1889ad0a727b7a92b72f9de28b57e9a45cc8d2c22e2fc36307af8ab52ced454a91aedeaf7158273
DIST grpcio-1.20.1.tar.gz 13882426 BLAKE2B 4211d9dedc7ba858a5124798f17b3b158f255d055f32f5947191fcb5fd45cca9c97aa3f8c4966e7195add5289ba3747a77b2f0c01a35762ffbeba6938c76046d SHA512 0ac126d8b2c25204bb03daccfc9b17016bc18dd31f89f6e208f2ae39d7e6fd17ae04a8178367a5334421d959b14fd3d31ac71a692b48a060d98f983553fcc3e2
DIST grpcio-1.21.1.tar.gz 13919484 BLAKE2B dcad98da8db4aa588facc30d1b010ec1e4d5f8085751422277631329f1c4949ba3e2c3882829354025a845992ba9972df1c48a277df93caef9015969f9423aef SHA512 0ea20490ce5e776a6253d4b89dd9d9091afb7462d6bd6bd9d2d3329979d61360a3e31abbd043b90d0908512cf7ff2668bb21cb472fbf0ad5a3b5963073850dd7
DIST grpcio-1.22.0.tar.gz 13925872 BLAKE2B 96cb2244e6fe11c628349b21026906336981d51661474f4e871ad33125cd183255cd9eb2de2eca9af00f80ddd1989dde80e60cdbe5bc833225980c63e12c92fc SHA512 912672209e2192fadaef79fe6cd79575d386e54ca0362f43e8e7138ca1f3673ea6a55f884257e9fb1780bae78664816675279a7f5ee799cc5d25ae43287729b1

@ -0,0 +1,38 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
inherit distutils-r1 multiprocessing
DESCRIPTION="High-performance RPC framework (python libraries)"
HOMEPAGE="https://grpc.io"
SRC_URI="mirror://pypi/${PN::1}/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~x86"
RDEPEND=">=dev-libs/openssl-1.0.2:0=[-bindist]
>=dev-python/cython-0.28.3[${PYTHON_USEDEP}]
dev-python/protobuf-python[${PYTHON_USEDEP}]
dev-python/six[${PYTHON_USEDEP}]
net-dns/c-ares:=
!<net-libs/grpc-1.16.0[python]
sys-libs/zlib:=
virtual/python-enum34[${PYTHON_USEDEP}]
virtual/python-futures[${PYTHON_USEDEP}]
"
DEPEND="${RDEPEND}
dev-python/setuptools[${PYTHON_USEDEP}]
"
python_configure_all() {
export GRPC_PYTHON_DISABLE_LIBC_COMPATIBILITY=1
export GRPC_PYTHON_BUILD_SYSTEM_CARES=1
export GRPC_PYTHON_BUILD_SYSTEM_OPENSSL=1
export GRPC_PYTHON_BUILD_SYSTEM_ZLIB=1
export GRPC_PYTHON_BUILD_WITH_CYTHON=1
export GRPC_PYTHON_BUILD_EXT_COMPILER_JOBS="$(makeopts_jobs)"
}

@ -1,2 +1,3 @@
DIST lxml-4.2.5.tar.gz 4414081 BLAKE2B c1c75a0a0c33011e2becb729de2c15dd786dd12bddeba4f2f26032d0d17104f258b471f5f961cbf96340df66cbce3e874d7a16c59731af280a309132b669d1b9 SHA512 4cf336d3e1471e8a26492760a143881517d12eb1c2dad82f8786540471bfabd68f8c795d97b7362166418c2be3c7996816638fdbd5a594536b9981478b90fdfe
DIST lxml-4.3.3.tar.gz 4378439 BLAKE2B 30c2a29e58951164fbff1c9d23362d46987c86b671e0cfa6cf15cbbb3db23ead856786babe57ce553f7b8a66d8ac333410ea1bb3b8b521aac43a038b90daf488 SHA512 cbc1cd30bac4b9ac845d99949c8c231a7870398f942695df5a00586d70d0f6b6ebd457a1a9306806af7d0fd521a14c54d266902943263927a0d940abc3cdf5c0
DIST lxml-4.3.4.tar.gz 2488557 BLAKE2B 5059ea45d3d833955636216a7c096322496882de4592a0d19604885dca8dffbc763afb7dc804b7a34561d0c94dfa2130a61835d6c12b97dc83008e8fa33e098a SHA512 7349cb4805e538da5b11edcb79fcd09ddedf0d52e50273a4e587f209e6b147b50737c45dcfc8eb3ee8e7be8f99769046f704c5fc8c35cee74d5d22ef72d503ed

@ -0,0 +1,83 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python2_7 python3_{5,6,7} pypy )
inherit distutils-r1 eutils toolchain-funcs
DESCRIPTION="A Pythonic binding for the libxml2 and libxslt libraries"
HOMEPAGE="https://lxml.de/ https://pypi.org/project/lxml/ https://github.com/lxml/lxml"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD ElementTree GPL-2 PSF-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sh ~sparc ~x86 ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
IUSE="doc examples +threads test"
# Note: lib{xml2,xslt} are used as C libraries, not Python modules.
RDEPEND="
>=dev-libs/libxml2-2.9.5
>=dev-libs/libxslt-1.1.28"
DEPEND="${RDEPEND}"
BDEPEND="
virtual/pkgconfig
$(python_gen_cond_dep 'dev-python/cython[${PYTHON_USEDEP}]' python2_7 'python3*')
dev-python/setuptools[${PYTHON_USEDEP}]
test? ( dev-python/cssselect[${PYTHON_USEDEP}] )
"
DISTUTILS_IN_SOURCE_BUILD=1
PATCHES=(
"${FILESDIR}"/${PN}-3.5.0-cross-compile.patch
)
python_prepare_all() {
# avoid replacing PYTHONPATH in tests.
sed -i -e '/sys\.path/d' test.py || die
# apparently logs have changed with libxslt upgrade
# https://bugs.launchpad.net/lxml/+bug/1782078
sed -i -e '/assertEqual(4, len(log)/d' src/lxml/tests/test_threading.py || die
# don't use some random SDK on Darwin
sed -i -e '/_ldflags =/s/=.*isysroot.*darwin.*None/= None/' \
setupinfo.py || die
distutils-r1_python_prepare_all
}
python_compile() {
if ! python_is_python3; then
local -x CFLAGS="${CFLAGS} -fno-strict-aliasing"
fi
tc-export PKG_CONFIG
distutils-r1_python_compile
}
python_test() {
cp -r -l src/lxml/tests "${BUILD_DIR}"/lib/lxml/ || die
cp -r -l src/lxml/html/tests "${BUILD_DIR}"/lib/lxml/html/ || die
ln -s "${S}"/doc "${BUILD_DIR}"/ || die
"${EPYTHON}" test.py -vv --all-levels -p || die "Test ${test} fails with ${EPYTHON}"
}
python_install_all() {
if use doc; then
local DOCS=( README.rst *.txt doc/*.txt )
local HTML_DOCS=( doc/html/. )
fi
if use examples; then
dodoc -r samples
fi
distutils-r1_python_install_all
}
pkg_postinst() {
optfeature "Support for BeautifulSoup as a parser backend" dev-python/beautifulsoup
optfeature "Translates CSS selectors to XPath 1.0 expressions" dev-python/cssselect
}

@ -1,2 +1,3 @@
DIST parso-0.3.1.tar.gz 375226 BLAKE2B 71481f5f382f14e5f2c7826f8eb50a1c35f8c280f14c8bf52bcf44f77aa9872cddce7d7fb7b0a586ab7cda547e43bbce11812077ae84129c418a9f0bb3c5b856 SHA512 f83e316a41e21d3132d9ee8a45f9042962c01a2b906e8791046112b9ed938d378b0dc28c4ae05ce03a8c2d19563a49cba9a9a230654345ff62e87cc763536ddb
DIST parso-0.5.0.tar.gz 386652 BLAKE2B f12e34aa9b93a1d3eedca96588148ac1e9ecb3a6af3910627d251e2281df285ce8768c11bf3cac35f8a977f0dac2f7a906fb20171db35fae2bec1c60cd0d7dc6 SHA512 cd2a38e538faf4faf3f1828f4e69dfe685ef1fd3e120326ca5260f0edbc23952e51ffd8370a2bb2de513a90ecde76e6ea2fe76d84d3ab4115c7817e3af08e701
DIST parso-0.5.1.tar.gz 388060 BLAKE2B 429ab40501d38e982cf77e0dbbfa4d8677dd1e2400945436b8eced608a41015b7028f586cf9af6057e441765f0a1db519a642ceadaba14620a92f452ce709871 SHA512 a04ef9bbe156bc28ac9fa64d091d3f1dcc9cf4b15a3c109cd33de1c4d34d0bf741016b88b6c12d456e953253942b7d522e0b793c9a00e9fb06de27ab0667c7fc

@ -0,0 +1,35 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
inherit distutils-r1
DESCRIPTION="a python parser that supports error recovery and round-trip parsing"
HOMEPAGE="https://github.com/davidhalter/parso https://pypi.org/project/parso/"
SRC_URI="https://github.com/davidhalter/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
IUSE="doc test"
DEPEND="
dev-python/setuptools[${PYTHON_USEDEP}]
doc? ( dev-python/sphinx )
test? ( dev-python/pytest[${PYTHON_USEDEP}] )"
python_test() {
py.test -vv test || die "tests failed with ${EPYTHON}"
}
python_compile_all() {
use doc && emake -C docs html
}
python_install_all() {
use doc && HTML_DOCS=( "${S}"/docs/_build/html/. )
distutils-r1_python_install_all
}

@ -3,7 +3,7 @@
EAPI=6
PYTHON_COMPAT=( python3_{5,6} )
PYTHON_COMPAT=( python3_{5,6,7} )
inherit distutils-r1
DESCRIPTION="pytest plugin for aiohttp support"

@ -20,7 +20,7 @@ fi
# Sub-slot based on SIP_API_MAJOR_NR from siplib/sip.h
SLOT="0/12"
LICENSE="|| ( GPL-2 GPL-3 SIP )"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ia64 ~ppc ~ppc64 ~sparc x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
IUSE="doc"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"

@ -1 +1,2 @@
DIST aiohttp-theme-0.1.4.tar.gz 10723 BLAKE2B afc398bb65e69fcc931f214c613f789da07c89bafd26ff207d4c5666edbe323f77c4a6fec09817d4dc6bb1d40e21ddd82f0b7b5c25dc5fe89b8b83c1c423bad7 SHA512 b487c9095a677baf9471b93be5b9cc3a697f62d2674d27ea4a7aee043e5dd75c5543a0e0a2e51c28e36e5bbf324bcb6d06786b31ae3b492ad2f972c6776c40af
DIST aiohttp-theme-0.1.5.tar.gz 11132 BLAKE2B e405d3a3ccc0d8568ecc42f8891eebe405d2d75cd47e60910f59ebc979da07362d3cbc20833412a462454b2703aa945f491e85c10b206a356545a13cbc07984a SHA512 106a77665d907c45db1fc2c23990eab61cc70f9f373ce7fe0d231f9744efe5dc7119606bcbdf558ceb038edd7e0cb955531fd74c496923038bcfd799bf67616c

@ -0,0 +1,25 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{5,6,7} )
inherit distutils-r1
MY_PN="${PN#sphinx-}"
MY_P="${MY_PN}-${PV}"
DESCRIPTION="Sphinx theme for aiohttp"
HOMEPAGE="https://github.com/aio-libs/aiohttp-theme"
SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~x86"
IUSE=""
RDEPEND="dev-python/sphinx[${PYTHON_USEDEP}]"
DEPEND="${RDEPEND}
dev-python/setuptools[${PYTHON_USEDEP}]"
S="${WORKDIR}/${MY_P}"

@ -1 +1,2 @@
DIST sphinx-testing-0.7.2.tar.gz 11040 BLAKE2B 503e38eabfe8dbe28942f9165a83db2dec0f9ac52e1e55f7298848b7a6b55244e1b5623bfda7f4e1380eab16ef81cf51c6bc11e919a8b45506f17759ae0ee181 SHA512 d267c74d97443db2df69914a825da969021e37fc61b8a664ef382504fa826387a95230bf9259b58c6f26721f33985fa2168d2714342a2166b59740cf1b3ad724
DIST sphinx-testing-1.0.1.tar.gz 11513 BLAKE2B 46ede243507a0d90b2ad4b918deadb818491bb0ed15ce41886040c52650f9fd348ff57c03766fd1e7719bbb54726f8915e091cf94a5396da946102ca49fd07b2 SHA512 2d377c0c6fe8e34a463b35e96938507a3ca35fa06cd19a2682eb55825e1b88982a80a02ebb9a02a47f11ca5e8fe6a5b9e5c8114d955fa3b774e0148e82121818

@ -0,0 +1,33 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
inherit distutils-r1
DESCRIPTION="Testing utility classes and functions for Sphinx extensions"
HOMEPAGE="https://github.com/sphinx-doc/sphinx-testing"
SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="test"
RESTRICT="!test? ( test )"
RDEPEND="dev-python/six[${PYTHON_USEDEP}]
dev-python/sphinx[${PYTHON_USEDEP}]"
DEPEND="${RDEPEND}
dev-python/setuptools[${PYTHON_USEDEP}]
test? (
dev-python/nose[${PYTHON_USEDEP}]
$(python_gen_cond_dep 'dev-python/mock[${PYTHON_USEDEP}]' -2)
)"
python_test() {
# NB: while tests don't stricly use nose, they rely on some side
# effects of using it
nosetests -v || die "Tests fail with ${EPYTHON}"
}

@ -3,7 +3,7 @@
EAPI=6
PYTHON_COMPAT=( python2_7 python3_{5,6} )
PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
inherit distutils-r1
DESCRIPTION="sphinx extension to support coroutines in markup"

@ -4,6 +4,9 @@
<maintainer type="person">
<email>dolsen@gentoo.org</email>
</maintainer>
<maintainer type="project">
<email>python@gentoo.org</email>
</maintainer>
<upstream>
<maintainer>
<email>i.tkomiya@gmail.com</email>

@ -7,24 +7,20 @@ PYTHON_COMPAT=( python2_7 python3_{5,6} )
inherit distutils-r1
DESCRIPTION="A sphinx extension for embedding block diagrams using blockdiag"
HOMEPAGE="https://github.com/blockdiag/sphinxcontrib-blockdiag"
SRC_URI="https://github.com/blockdiag/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
IUSE=""
DEPEND="
COMMON_DEPEND="
dev-python/sphinx[${PYTHON_USEDEP}]
>=dev-python/blockdiag-1.5.0[${PYTHON_USEDEP}]
"
DEPEND="
dev-python/setuptools[${PYTHON_USEDEP}]"
RDEPEND="${DEPEND}
dev-python/namespace-sphinxcontrib[${PYTHON_USEDEP}]"

@ -0,0 +1,50 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
inherit distutils-r1
DESCRIPTION="A sphinx extension for embedding block diagrams using blockdiag"
HOMEPAGE="https://github.com/blockdiag/sphinxcontrib-blockdiag"
SRC_URI="https://github.com/blockdiag/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="test"
RESTRICT="!test? ( test )"
COMMON_DEPEND="
dev-python/sphinx[${PYTHON_USEDEP}]
>=dev-python/blockdiag-1.5.0[${PYTHON_USEDEP}]
"
DEPEND="
dev-python/setuptools[${PYTHON_USEDEP}]
test? (
${COMMON_DEPEND}
dev-python/mock[${PYTHON_USEDEP}]
dev-python/nose[${PYTHON_USEDEP}]
dev-python/reportlab[${PYTHON_USEDEP}]
dev-python/sphinx-testing[${PYTHON_USEDEP}]
)"
RDEPEND="${COMMON_DEPEND}
dev-python/namespace-sphinxcontrib[${PYTHON_USEDEP}]"
python_prepare_all() {
sed -i -e /build-base/d setup.cfg || die
# Those tests are known-broken upstream
# https://github.com/blockdiag/sphinxcontrib-blockdiag/pull/11
rm tests/test_latex.py || die
distutils-r1_python_prepare_all
}
python_test() {
nosetests -v || die "Tests fail with ${EPYTHON}"
}
python_install_all() {
distutils-r1_python_install_all
find "${ED}" -name '*.pth' -delete || die
}

@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PYTHON_COMPAT=( python2_7 python3_{5,6} )
PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
inherit distutils-r1

@ -1,2 +1,3 @@
DIST sphinxcontrib-spelling-2.1.2.tar.gz 35411 BLAKE2B 9738e18664fb68f6f8f7aafb626b6712f7c30947681f6c5ed288dd76c2b24245cb4083887330fc05ef4fdc64756245d997797ae36899c2c762489fff13219a21 SHA512 993f371e064e8748eb61faae649fb293b154a35955ff84d86fd041f4e2cc4c6e22c686007a67c3b63b0c50fc01ed226708f27db347e58847a46ca733c997d51f
DIST sphinxcontrib-spelling-2.3.0.tar.gz 35687 BLAKE2B 9b48f1953616875bd5f0106ab0a01ac22d176b93eca88da7e36804eaf744aaf6e941d3dcb9f905f9bfe54ea51eb5c0d14d954b3def809994e7ba661e09cdb18e SHA512 194023d2c5ba594a264740a2a45ebd90d37fc17fbd3bc8c53fa303581a652c58332f998a159c9c6c58718dd9898c9b4639e98ee114a2ee1e5f2097e545134a1a
DIST sphinxcontrib-spelling-4.3.0.tar.gz 38316 BLAKE2B 4bfcbfb22c10b5bd181ef5ba7b64815ccaeaa50f01ccff96adab914cfbe6674ce28088e5eb5717b44531565f961b1f159014d235275065070e22d96d08cd4af2 SHA512 0d1575079be7994df905de02d31ad2c9c3af9634a487fbc9c565067fcbef6c36fd4fbd326ccbee4b40b3ff14696ad85a97c68018a956ff3e2f7e1be46bb3a074

@ -1,6 +1,9 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>python@gentoo.org</email>
</maintainer>
<upstream>
<remote-id type="pypi">sphinxcontrib-spelling</remote-id>
<remote-id type="bitbucket">dhellmann/sphinxcontrib-spelling</remote-id>

@ -0,0 +1,50 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
inherit distutils-r1
DESCRIPTION="Sphinx spelling extension"
HOMEPAGE="https://github.com/sphinx-contrib/spelling"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD-2"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
IUSE="doc test"
RESTRICT="!test? ( test )"
COMMON_DEPEND="
dev-python/pbr[${PYTHON_USEDEP}]
dev-python/pyenchant[${PYTHON_USEDEP}]
dev-python/six[${PYTHON_USEDEP}]
dev-python/sphinx[${PYTHON_USEDEP}]
"
DEPEND="
dev-python/setuptools[${PYTHON_USEDEP}]
doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
test? (
${COMMON_DEPEND}
>=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
dev-python/testtools[${PYTHON_USEDEP}]
)
"
RDEPEND="${COMMON_DEPEND}
dev-python/namespace-sphinxcontrib[${PYTHON_USEDEP}]
"
python_compile_all() {
use doc && emake -C docs html
}
python_test() {
"${EPYTHON}" -m unittest discover -v || die "Tests fail with ${EPYTHON}"
}
python_install_all() {
use doc && local HTML_DOCS=( docs/build/html/. )
distutils-r1_python_install_all
find "${ED}" -name '*.pth' -delete || die
}

@ -12,7 +12,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="|| ( Apache-2.0 MIT )"
SLOT="0"
KEYWORDS="~amd64"
KEYWORDS="~amd64 ~x86"
IUSE="test"
RDEPEND="dev-python/cryptography[${PYTHON_USEDEP}]

@ -0,0 +1 @@
DIST typing_extensions-3.7.4.tar.gz 36058 BLAKE2B f9e5efe9a7d51beb683bd4a88d7c1cab247b2c4cfd300131591bd04837dc15af277a8725c04566b9317be577f8f11e330f2d0169b52c3e9f92a8d3140e9e69d0 SHA512 82c15e6e67dde23456c3b01705729804dc21bd2088dee3aa63e53a5e597f474d34b1a37fb16bc5e3497f93d338c0115f49a070621523fb0fa3e994632785c6d9

@ -0,0 +1,11 @@
<?xml version='1.0' encoding='UTF-8'?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>python@gentoo.org</email>
<name>Python</name>
</maintainer>
<upstream>
<remote-id type="pypi">typing</remote-id>
</upstream>
</pkgmetadata>

@ -0,0 +1,29 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{5,6} )
inherit distutils-r1
MY_PN=${PN/-/_}
MY_P=${MY_PN}-${PV}
DESCRIPTION="Type Hint extensions from Python 3.7 backported to 3.5/3.6"
HOMEPAGE="https://pypi.org/project/typing_extensions/ https://github.com/python/typing"
SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
S=${WORKDIR}/${MY_P}
LICENSE="PSF-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-fbsd ~amd64-linux ~x86-linux ~x64-solaris"
IUSE=""
DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
RDEPEND=""
python_test() {
cd "${S}"/src_py3 || die
"${EPYTHON}" test_typing_extensions.py -v || die "tests failed under ${EPYTHON}"
}

Binary file not shown.

@ -1,2 +1,3 @@
DIST fuubar-2.3.2.tar.gz 30383 BLAKE2B 4e43dcb5621bee74f0401573217e29d17f6f537dbfc86b2c23764f77224072b3efd15adacb9281681b4d16410db6cb2020918a42ee59132a1772b9c2bf3f43df SHA512 93e812f944153f3c4d147195777374584440ca779a5d45436052386a380308f471f6ba22906d823d4e9e2bad6bb72550d2a5eb7dc1535572e14866e9f05f6370
DIST fuubar-2.4.0.tar.gz 31979 BLAKE2B ffc1d9a2b1a521650678e34e5597e1555e62115ce2e85b9695c241778d26bf5e9ef6b67dfa6903fca3842f0dfd576793180610ae66c61cbe4e9acf213b3bb215 SHA512 21623314bb5f025f3ca2e62c8ce630651ebea1ee1a60093ae3bb8da739f1f38d7faea333de74fbca94c5b12407e02fecd0cdc9ef1d403302cd9878727b02311f
DIST fuubar-2.4.1.tar.gz 32459 BLAKE2B 5c09d1adc23dbdf2ec5b67ab81ef87ccfb7fec7725ac36537262bb0c837fb43d6bfb9014bb111a058b238a544a8827392830ee7c6f5c4019327670ee13c75189 SHA512 334ec7544231106de37a5c10f359e85d51008c3d8368af8e7d25ccd9e6fcf6a665cb8e83b1de3cc5b4daafbb5a0a9fad60f7016af56d330e83a1ca2aaa16fbae

@ -0,0 +1,32 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
USE_RUBY="ruby24 ruby25 ruby26"
RUBY_FAKEGEM_RECIPE_TEST="rspec3"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_EXTRADOC="README.md"
RUBY_FAKEGEM_BINWRAP=""
inherit ruby-fakegem
DESCRIPTION="Instafailing RSpec progress bar formatter"
HOMEPAGE="https://github.com/thekompanee/fuubar"
SRC_URI="https://github.com/thekompanee/fuubar/archive/releases/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="MIT"
SLOT="2"
KEYWORDS="~amd64 ~hppa ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE=""
RUBY_S="${PN}-releases-v${PV}"
ruby_add_rdepend "dev-ruby/rspec:3 >=dev-ruby/ruby-progressbar-1.4:0"
each_ruby_test() {
export CI=true
each_fakegem_test
}

@ -1,2 +1,3 @@
DIST google-protobuf-3.6.1-ruby.tar.gz 4485582 BLAKE2B 546c49759df784018459809b9db692c5c94aef5d717183af5cd9edd96b4c658e759f23950cdcd5dddceaaad06ea1de2a2357b9fa8c496ed5d538fc5920174da0 SHA512 1bc175d24b49de1b1e41eaf39598194e583afffb924c86c8d2e569d935af21874be76b2cbd4d9655a1d38bac3d4cd811de88bc2c72d81bad79115e69e5b0d839
DIST google-protobuf-3.8.0-ruby.tar.gz 4934577 BLAKE2B 4b86ab216e8a8b2c99c3620da9417c0562498e9d4dbf4957db186f51c62b0ed73b1322635a076b2d4054e015bdf6c8c50cc7fd0cb78d24a93b29d2a5b48f66fe SHA512 ba27c64e5193cd4a144bf0c9dc0d195fbbe6e580aaca01960362f0f185074588ca40046d3bcea76e1deae7508b722f6c5be484ea957122ae8e98229c7c3a4ad2
DIST google-protobuf-3.9.0-ruby.tar.gz 4945061 BLAKE2B 11df30465d19b5c057d8c2a18bb944f1abc725056e957fa0ec08803b8d73271daf950852e27273ff4596c88471297608d1ee571a48e615e2c411f79a2d6b5eed SHA512 eebfea7758b924939edaf44d0f51e341f4778dcf943c9e399da57cb5f52e875bda1e37e40841798232dea52082b5d59c20de69a15ddeaf00220c432f05ca0e6e

@ -0,0 +1,37 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
USE_RUBY="ruby24 ruby25 ruby26"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_EXTRADOC="README.md"
RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
inherit ruby-fakegem
DESCRIPTION="Protocol Buffers are Google's data interchange format"
HOMEPAGE="https://developers.google.com/protocol-buffers"
SRC_URI="https://github.com/protocolbuffers/protobuf/archive/v${PV}.tar.gz -> ${P}-ruby.tar.gz"
RUBY_S="protobuf-${PV}/ruby"
LICENSE="BSD"
SLOT="3"
KEYWORDS="~amd64"
IUSE=""
DEPEND+=" test? ( >=dev-libs/protobuf-3.7.0 )"
each_ruby_prepare() {
sed -i -e 's:../src/protoc:protoc: ; /^task :build/ s/:compile,//' Rakefile || die
}
each_ruby_configure() {
${RUBY} -Cext/google/protobuf_c extconf.rb
}
each_ruby_compile() {
emake -Cext/google/protobuf_c V=1
cp ext/google/protobuf_c/protobuf_c.so lib/google/ || die
}

@ -1,8 +1,8 @@
# Copyright 1999-2018 Gentoo Authors
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=5
USE_RUBY="ruby23 ruby24 ruby25"
EAPI=6
USE_RUBY="ruby24 ruby25 ruby26"
RUBY_FAKEGEM_TASK_DOC=""
@ -11,6 +11,8 @@ RUBY_FAKEGEM_EXTRADOC="History.txt Manifest.txt README.md RELEASE.md"
RUBY_FAKEGEM_EXTRAINSTALL="assets rails_generators"
RUBY_FAKEGEM_GEMSPEC="gruff.gemspec"
inherit ruby-fakegem
DESCRIPTION="Beautiful graphs for one or multiple datasets"
@ -18,7 +20,7 @@ HOMEPAGE="https://github.com/topfunky/gruff"
LICENSE="MIT"
SLOT="0"
KEYWORDS="amd64 x86 ~x86-macos"
KEYWORDS="~amd64 ~x86 ~x86-macos"
IUSE=""
# imagemagick is an indirect dependency through rmagick. However, for
@ -28,16 +30,20 @@ IUSE=""
DEPEND="${DEPEND} test? ( media-gfx/imagemagick[jpeg,png,truetype,webp] )"
RDEPEND="${RDEPEND} media-gfx/imagemagick[truetype]"
ruby_add_rdepend ">=dev-ruby/rmagick-2.13.4"
ruby_add_rdepend ">=dev-ruby/rmagick-2.13.4:*"
ruby_add_bdepend "
test? (
dev-ruby/hoe
dev-ruby/test-unit
)"
all_ruby_prepare() {
sed -i -e '/reporters/I s:^:#:' test/gruff_test_case.rb || die
sed -i -e '2irequire "date"' test/test_scatter.rb || die
# Relax rmagick dependency since 3.x is API compatible
sed -e "/rmagick/ s/'~> 2.13',//" \
-e 's/git ls-files/find . -print/' \
-i ${RUBY_FAKEGEM_GEMSPEC} || die
}
each_ruby_test() {

Binary file not shown.

@ -1,2 +1 @@
DIST oprofile-1.2.0.tar.gz 1533343 BLAKE2B 873433ddba11389a221ff3b6eb6b8b19748ac4989232bda7d9af698b95dedf8ecd1112dce3accab5e1b40c87287901c015eec167713b9ad11daa0a0f0e3255f9 SHA512 d642d9a8d71ad271a80d21806ffd8522613830f450a71dc531005e940f31f683936691898d381a31f8913715361db8c1713dfe3744a5f9214419349f6504717d
DIST oprofile-1.3.0.tar.gz 1547258 BLAKE2B d8777e41856dc2f082570a1542609bd730fd7076000443f2e17c77eaf75df7a7a772ebb49d82ee657f563797858cecb4c23b130b0174d154c54d5619b8528ad1 SHA512 02a940cd8d38834dca2a97c8ac0fff04ef95b3819cfdf74a462b9326c7abbf2dc55d2a9b9d1fbefc7f455465bf85516be2b879d7daf1861ba2c4af51214377ba

@ -1,64 +0,0 @@
# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit java-pkg-opt-2 linux-info user
DESCRIPTION="A transparent low-overhead system-wide profiler"
HOMEPAGE="http://${PN}.sourceforge.net"
SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="alpha amd64 arm ~hppa ~mips ppc ppc64 ~sparc x86"
IUSE="java pch"
RDEPEND=">=dev-libs/popt-1.7-r1
sys-libs/binutils-libs:=
>=sys-libs/glibc-2.3.2-r1
java? ( >=virtual/jdk-1.5:= )
ppc64? ( dev-libs/libpfm )"
DEPEND="${RDEPEND}
>=sys-kernel/linux-headers-2.6.31"
CONFIG_CHECK="PERF_EVENTS"
ERROR_PERF_EVENTS="CONFIG_PERF_EVENTS is mandatory for ${PN} to work."
pkg_setup() {
linux-info_pkg_setup
if ! kernel_is -ge 2 6 31; then
echo
ewarn "Support for kernels before 2.6.31 has been dropped in ${PN}-1.0.0."
echo
fi
# Required for JIT support, see README_PACKAGERS
enewgroup ${PN}
enewuser ${PN} -1 -1 -1 ${PN}
use java && java-pkg_init
}
src_configure() {
econf \
--disable-werror \
$(use_enable pch) \
$(use_with java java ${JAVA_HOME})
}
src_install() {
emake DESTDIR="${D}" htmldir="/usr/share/doc/${PF}" install
dodoc ChangeLog* README TODO
echo "LDPATH=${PREFIX}/usr/$(get_libdir)/${PN}" > "${T}/10${PN}" || die
doenvd "${T}/10${PN}"
}
pkg_postinst() {
echo
elog "Starting from ${PN}-1.0.0 opcontrol was removed, use operf instead."
elog "CONFIG_OPROFILE is no longer used, you may remove it from your kernels."
elog "Please read manpages and this html doc:"
elog " /usr/share/doc/${PF}/${PN}.html"
echo
}

Binary file not shown.

@ -612,7 +612,7 @@ cmake-utils_src_configure() {
fi
fi
if [[ ${EPREFIX} ]]; then
if use prefix-guest; then
cat >> "${build_rules}" <<- _EOF_ || die
# in Prefix we need rpath and must ensure cmake gets our default linker path
# right ... except for Darwin hosts

Binary file not shown.

@ -1,4 +1,4 @@
# Copyright 1999-2018 Gentoo Foundation
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -15,7 +15,7 @@ KEYWORDS="~amd64 ~x86"
IUSE="dedicated"
RDEPEND="dev-db/sqlite:3
dev-libs/boost:0=[threads(+)]
<dev-libs/boost-1.70:0=[threads(+)]
dev-libs/libgcrypt:0
dev-libs/protobuf:0=
dev-libs/tinyxml[stl]

Binary file not shown.

@ -0,0 +1 @@
DIST mimedefang-2.84.tar.gz 371596 BLAKE2B b9b871d6a438792afbcebfcd99a77a1f9bb2c0dc7826abea74db913c6dc154403753a3016dc0647e9873256fe354649dea096c0e50d54f8db16ff8d2b91f54f4 SHA512 ffe039654d2e3f649219efc559380e39b21ce910becc36e262356d59d50129f8683ee2e59dd9680aff46478ccebd6b3d9c4567f85ade9a8464077350f4e52f48

@ -0,0 +1,38 @@
--- mimedefang-2.72/Makefile.in.orig
+++ mimedefang-2.72/Makefile.in
@@ -52,7 +52,7 @@
all: mimedefang mimedefang-multiplexor md-mx-ctrl pod2man
mimedefang-multiplexor: mimedefang-multiplexor.o event.o event_tcp.o drop_privs_nothread.o notifier.o syslog-fac.o utils.o $(EMBPERLOBJS)
- $(CC) $(CFLAGS) -o mimedefang-multiplexor mimedefang-multiplexor.o event.o event_tcp.o drop_privs_nothread.o syslog-fac.o notifier.o utils.o $(EMBPERLOBJS) $(LIBS_WITHOUT_PTHREAD) $(EMBPERLLDFLAGS) $(EMBPERLLIBS)
+ $(CC) $(CFLAGS) $(LDFLAGS) -o mimedefang-multiplexor mimedefang-multiplexor.o event.o event_tcp.o drop_privs_nothread.o syslog-fac.o notifier.o utils.o $(EMBPERLOBJS) $(LIBS_WITHOUT_PTHREAD) $(EMBPERLLDFLAGS) $(EMBPERLLIBS)
embperl.o: embperl.c
$(CC) $(CFLAGS) $(EMBPERLCFLAGS) $(PTHREAD_FLAG) $(DEFS) $(MINCLUDE) -c -o embperl.o $(srcdir)/embperl.c
@@ -67,7 +67,7 @@
$(CC) $(CFLAGS) $(EMBPERLCFLAGS) $(PTHREAD_FLAG) $(DEFS) $(MINCLUDE) -c -o test-embed-perl.o $(srcdir)/test-embed-perl.c
te: test-embed-perl.o
- $(CC) $(CFLAGS) -o te test-embed-perl.o $(LIBS_WITHOUT_PTHREAD) $(EMBPERLLDFLAGS) $(EMBPERLLIBS)
+ $(CC) $(CFLAGS) $(LDFLAGS) -o te test-embed-perl.o $(LIBS_WITHOUT_PTHREAD) $(EMBPERLLDFLAGS) $(EMBPERLLIBS)
rm_r.o: rm_r.c
$(CC) $(CFLAGS) $(PTHREAD_FLAG) $(DEFS) $(MINCLUDE) -c -o rm_r.o $(srcdir)/rm_r.c
@@ -75,7 +75,7 @@
$(CC) $(CFLAGS) $(PTHREAD_FLAG) $(DEFS) $(MINCLUDE) -c -o syslog-fac.o $(srcdir)/syslog-fac.c
md-mx-ctrl: md-mx-ctrl.o
- $(CC) $(CFLAGS) -o md-mx-ctrl md-mx-ctrl.o $(LIBS_WITHOUT_PTHREAD)
+ $(CC) $(CFLAGS) $(LDFLAGS) -o md-mx-ctrl md-mx-ctrl.o $(LIBS_WITHOUT_PTHREAD)
md-mx-ctrl.o: md-mx-ctrl.c
$(CC) $(CFLAGS) $(DEFS) $(MINCLUDE) -c -o md-mx-ctrl.o $(srcdir)/md-mx-ctrl.c
@@ -99,7 +99,7 @@
$(CC) $(CFLAGS) $(DEFS) $(MINCLUDE) -c -o mimedefang-multiplexor.o $(srcdir)/mimedefang-multiplexor.c
mimedefang: mimedefang.o drop_privs_threaded.o utils.o rm_r.o syslog-fac.o dynbuf.o milter_cap.o gen_id.o
- $(CC) $(CFLAGS) $(PTHREAD_FLAG) -o mimedefang mimedefang.o drop_privs_threaded.o utils.o rm_r.o syslog-fac.o dynbuf.o milter_cap.o gen_id.o $(LDFLAGS) -lmilter $(LIBS)
+ $(CC) $(CFLAGS) $(LDFLAGS) $(PTHREAD_FLAG) -o mimedefang mimedefang.o drop_privs_threaded.o utils.o rm_r.o syslog-fac.o dynbuf.o milter_cap.o gen_id.o $(LDFLAGS) -lmilter $(LIBS)
mimedefang.o: mimedefang.c mimedefang.h
$(CC) $(CFLAGS) $(PTHREAD_FLAG) $(DEFS) $(MINCLUDE) -c -o mimedefang.o $(srcdir)/mimedefang.c

@ -0,0 +1,11 @@
--- a/t/lib/MIMEDefang/Unit.pm.ori 2010-05-13 23:12:23.000000000 +0200
+++ b/t/lib/MIMEDefang/Unit.pm 2019-07-10 15:08:35.190824853 +0200
@@ -12,7 +12,7 @@
no warnings 'redefine';
local *CORE::GLOBAL::exit = sub { };
local @ARGV = ();
- do 'mimedefang.pl.in';
+ do './mimedefang.pl.in';
use warnings 'redefine';
}
1;

@ -0,0 +1,157 @@
####################################
# Mandatory options for MIMEDefang #
####################################
# spool directory
SPOOLDIR='/var/spool/MIMEDefang'
# The socket used by mimedefang to communicate with the sendmail binary.
# You can leave this commented out.
# SOCKET="${SPOOLDIR}/mimedefang.sock"
# The socket used by the multiplexor.
# You can leave this commented out.
# MX_SOCKET="${SPOOLDIR}/mimedefang-multiplexor.sock"
########################################
# Additional options for MIMEDefang #
# For a list of all of them: #
# man mimedefang (MD_OPTS) #
# man mimedefang-multiplexor (MX_OPTS) #
########################################
#############
# MD_MX_OPTS: common options to both processes.
#############
# Run the multiplexor and filters as this user, not root (RECOMMENDED).
MD_MX_OPTS+=' -U defang'
# Syslog facility
# MD_MX_OPTS+=' -S mail'
##########
# MD_OPTS: mimdefang options.
##########
# Number of workers reserved for connections from loopback. Use -1
# for default behaviour, 0 to allow loopback connections to queue,
# or >0 to reserve workers for loopback connections
MD_OPTS+=' -R -1'
# If you want to keep spool directories around if the filter fails,
# add the -k option.
# MD_OPTS+=' -k'
# Turns on the multiplexor relay checking function
# MD_OPTS+=' -r'
# Turns on the multiplexor HELO checking function
# MD_OPTS+=' -H'
# Turns on the multiplexor sender checking function
# MD_OPTS+=' -s'
# Turns on the multiplexor recipient checking function
# MD_OPTS+=' -t'
# Extra sendmail macros to pass.
# MD_OPTS+=' -a auth_author'
# Do not reveal info via X-Scanned-By header (recommended).
MD_OPTS+=' -X'
##########
# MX_OPTS: mimdefang-multiplexor options.
##########
# multiplexor logs events to syslog
MX_OPTS+=' -l'
# Use an embedded Perl interpreter
# MX_OPTS+=' -E'
# Set to full path of socket for Sendmail's SOCKETMAP map, if you
# want to use it with MIMEDefang
# MX_OPTS+=("-N ${SPOOLDIR}/map.sock")
# The multiplexor does not start all workers at the same time. Instead,
# it starts one worker every X seconds when the system is idle.
# If the system is busy, the multiplexor starts workers as incoming mail
# requires attention.
# MX_OPTS+=' -w 3'
# The next setting is an absolute limit on worker activation. The multiplexor
# will NEVER activate a worker within X seconds of another.
# The default of zero means that the multiplexor will activate workers as
# quickly as necessary to keep up with incoming mail.
# MX_OPTS+=' -W 0'
# The multiplexor can log stats to a file (eg. /var/log/mimedefang/stats).
# The log directory must exist and be writable by the user you're running
# MIMEDefang as.
# MX_OPTS+=' -t /var/log/mimedefang/stats'
# The stats file can be flushed after each entry.
# MX_OPTS+=' -u'
# The multiplexor can log stats to syslog.
# MX_OPTS+=' -T'
# Maximum # of requests a process handles.
# MX_OPTS+=' -r 200'
# Minimum number of processes to keep. The default of 0 is probably
# too low; we suggest 2 instead.
MX_OPTS+=' -m 2'
# Maximum number of processes to run (mail received while this many
# processes are running is rejected with a temporary failure, so be
# wary of how many emails you receive at a time). This applies only
# if you DO use the multiplexor. The default value of 2 is probably
# too low; we suggest 10 instead.
MX_OPTS+=' -x 10'
# Uncomment to log worker status; it will be logged every X seconds.
# MX_OPTS+=' -L 30'
# Uncomment next line to have busy workers send status updates to the
# multiplexor. NOTE: Consumes one extra file descriptor per worker, plus
# a bit of CPU time.
# MX_OPTS+=' -Z'
# Limit worker processes' resident-set size to this many kilobytes. Default
# is unlimited.
# MX_OPTS+=' -R 10000'
# Limit total size of worker processes' memory space to this many kilobytes.
# Default is unlimited.
# MX_OPTS+=' -M 30000'
# If you want to use the "notification" facility, set the appropriate port.
# See the mimedefang-notify man page for details.
# MX_OPTS+=' -O inet:4567'
# Number of seconds a process should be idle before checking for
# minimum number and killed.
# MX_OPTS+=' -i 300'
# Number of seconds a process is allowed to scan an email before it is
# considered dead. The default is 30 seconds; we suggest 600.
MX_OPTS+=' -b 600'
# Multiplexor queue size -- default is 0 (no queueing)
# MX_OPTS+=' -q 10'
# Multiplexor queue timeout -- default is 30 seconds
# MX_OPTS+=' -Q 30'
# SUBFILTER -F option specifies which filter rules file to use
# MX_OPTS+=' -F /etc/mail/mimedefang-filter'
###########################
# Upstream recommendation #
###########################
# Locale should be set to "C" for generating valid date headers
LC_ALL=C
export LC_ALL

@ -0,0 +1,60 @@
#!/sbin/openrc-run
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
SPOOLDIR="${SPOOLDIR:-/var/spool/MIMEDefang}"
PID="${SPOOLDIR}/mimedefang.pid"
MXPID="${SPOOLDIR}/mimedefang-multiplexor.pid"
LOCK="${SPOOLDIR}/mimedefang.lock"
MXLOCK="${SPOOLDIR}/mimedefang-multiplexor.lock"
# Make sure required vars are set
SOCKET="${SOCKET:-${SPOOLDIR}/mimedefang.sock}"
MX_SOCKET="${MX_SOCKET:-${SPOOLDIR}/mimedefang-multiplexor.sock}"
description="MIMEDefang mail filter"
extra_commands="checkconfig"
description_checkconfig="Check config for ${RC_SVCNAME}"
depend() {
use antivirus
}
checkconfig() {
checkpath -d "${SPOOLDIR}"
einfo "multiplexor socket: ${MX_SOCKET}"
einfo "sendmail socket: ${SOCKET}"
}
start() {
checkconfig || return 1
# First start mimedefang multiplexor
rm -f "${MX_SOCKET}" > /dev/null 2>&1
ebegin "Starting mimedefang-multiplexor"
start-stop-daemon --start --quiet \
--exec /usr/bin/mimedefang-multiplexor -- -p "${MXPID}" -o "${MXLOCK}" -z "${SPOOLDIR}" \
${MD_MX_OPTS} ${MX_OPTS} \
-s "${MX_SOCKET}"
eend $? "Failed to start mimedefang-multiplexor"
# And now start mimedefang
rm -f "${SOCKET}" > /dev/null 2>&1
ebegin "Starting mimedefang"
start-stop-daemon --start --quiet \
--exec /usr/bin/mimedefang -- -P "${PID}" -o "${LOCK}" -z "${SPOOLDIR}" \
${MD_MX_OPTS} ${MD_OPTS} \
-m "${MX_SOCKET}" \
-p "${SOCKET}"
eend $? "Failed to start mimedefang"
}
stop() {
ebegin "Stopping mimedefang"
start-stop-daemon --stop --quiet --pidfile "${PID}"
eend $? "Failed to stop mimedefang"
ebegin "Stopping mimedefang-multiplexor"
start-stop-daemon --stop --quiet --pidfile "${MXPID}"
eend $? "Failed to stop mimedefang-multiplexor"
}

@ -0,0 +1,19 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>rentorbuy@yahoo.com</email>
<name>Vieri Di Paola</name>
</maintainer>
<maintainer type="project">
<email>proxy-maint@gentoo.org</email>
<name>Proxy Maintainers</name>
</maintainer>
<longdescription lang="en">
A program for Milter supported mail servers that implements antispam,
antivirus and other customizable filtering on email messages.
</longdescription>
<use>
<flag name="poll">Use poll instead of select</flag>
</use>
</pkgmetadata>

@ -0,0 +1,75 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit user
DESCRIPTION="Antispam, antivirus and other customizable filters for MTAs with Milter support"
HOMEPAGE="http://www.mimedefang.org/"
SRC_URI="http://www.mimedefang.org/static/${P}.tar.gz"
LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="clamav +poll test"
RESTRICT="!test? ( test )"
RDEPEND=">=dev-perl/MIME-tools-5.412
dev-perl/IO-stringy
virtual/perl-MIME-Base64
dev-perl/Digest-SHA1
dev-perl/MailTools
dev-perl/Unix-Syslog
clamav? ( app-antivirus/clamav )
|| ( mail-filter/libmilter mail-mta/sendmail )"
DEPEND="${RDEPEND}
test? (
dev-perl/Test-Class
dev-perl/Test-Most
)"
pkg_setup() {
enewgroup defang
enewuser defang -1 -1 -1 defang
}
src_prepare() {
eapply "${FILESDIR}/${PN}-2.72-ldflags.patch"
eapply "${FILESDIR}/${PN}-tests.patch"
eapply_user
}
src_configure() {
econf \
--with-user=defang \
$(use_enable poll) \
$(use_enable clamav) \
$(use_enable clamav clamd)
}
src_install() {
emake DESTDIR="${D}" INSTALL_STRIP_FLAG="" install
fowners defang:defang /etc/mail/mimedefang-filter
fperms 644 /etc/mail/mimedefang-filter
insinto /etc/mail/
newins "${S}"/SpamAssassin/spamassassin.cf sa-mimedefang.cf
keepdir /var/spool/{MD-Quarantine,MIMEDefang}
fowners defang:defang /var/spool/{MD-Quarantine,MIMEDefang}
fperms 700 /var/spool/{MD-Quarantine,MIMEDefang}
keepdir /var/log/mimedefang
newinitd "${FILESDIR}"/${PN}.init ${PN}
newconfd "${FILESDIR}"/${PN}.conf ${PN}
dodoc -r examples contrib
}
pkg_postinst() {
elog "You can install Mail::SpamAssassin (mail-filter/spamassassin) and"
elog "HTML::Parser (dev-perl/HTML-Parser) even after installing if you require"
elog "them as they are loaded at run-time."
}

Binary file not shown.

@ -9,7 +9,7 @@ inherit font xorg-2
DESCRIPTION="X.Org font encodings"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 hppa ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
IUSE=""
DEPEND="x11-apps/mkfontscale

Binary file not shown.

@ -1,2 +1,3 @@
DIST feh-3.1.1.tar.bz2 2109534 BLAKE2B ea02ab09791ef61a9ac5db84b5a0f69ddc76f994343660cf4072a41769a59ddd2936e0f047eeed26be0b3676711b1e440c0483325e6bb621205788ebe13c1fca SHA512 cbdf6e36831a750a6bdb9f1a5735c814662b5274d9c453392de88b98926b539cc54e2041fc0cd2a393762f14ec24b81435de6d506d9efc1ee4c7d80105aa6243
DIST feh-3.1.3.tar.bz2 2110285 BLAKE2B ee42b766eccf7e4661a47bd6c748b2e0cc6345fb9c08de425b0f4ef87c7fb383dd20140fb2c8b2fc540b70a6c01bb612b48aa76fc1f47a117f2503257bf3b403 SHA512 dc4960706e4134bbe6c34036a9c9b7cd98eb8935e13e2354504664a1599d4af193c6b977433a40c7e3638b2b3e2928960e0c755b04f7c48076ef15445f792583
DIST feh-3.2.tar.bz2 2111743 BLAKE2B 2fd9838845bb86cc17d99650ac595c2b9f573be30d6ea86512a37a2f0439b10d6fe0b6bc028b81d03219530db2c0c58b1e6642834c32a621b191a310d53c7499 SHA512 f87d07edb9aa098a6c71b37306c42fdfe2b9cdb8cafcd72dd04f82b5a79da47c4e55979a0a8365fe22681f857215120009c84cde34b6f36e599522a2c4af6f70

@ -0,0 +1,73 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit toolchain-funcs gnome2-utils xdg-utils
DESCRIPTION="A fast, lightweight imageviewer using imlib2"
HOMEPAGE="https://feh.finalrewind.org/"
SRC_URI="https://feh.finalrewind.org/${P}.tar.bz2"
LICENSE="feh"
SLOT="0"
KEYWORDS="~amd64 ~arm ~mips ~ppc ~ppc64 ~x86"
IUSE="debug curl exif test xinerama"
COMMON_DEPEND="media-libs/imlib2[X]
>=media-libs/libpng-1.2:0=
x11-libs/libX11
curl? ( net-misc/curl )
exif? ( media-libs/libexif )
xinerama? ( x11-libs/libXinerama )"
RDEPEND="${COMMON_DEPEND}
virtual/jpeg:0"
DEPEND="${COMMON_DEPEND}
x11-base/xorg-proto
x11-libs/libXt
test? (
>=dev-lang/perl-5.10
dev-perl/Test-Command
media-libs/imlib2[gif,jpeg,png]
)"
PATCHES=( "${FILESDIR}"/${P}-debug-cflags.patch )
pkg_setup() {
use_feh() { usex $1 1 0; }
fehopts=(
DESTDIR="${D}"
PREFIX="${EPREFIX}"/usr
doc_dir='${main_dir}'/share/doc/${PF}
example_dir='${main_dir}'/share/doc/${PF}/examples
curl=$(use_feh curl)
debug=$(use_feh debug)
xinerama=$(use_feh xinerama)
exif=$(use_feh exif)
)
}
src_compile() {
tc-export CC
emake "${fehopts[@]}"
}
src_install() {
emake "${fehopts[@]}" install
}
pkg_preinst() {
gnome2_icon_savelist
}
pkg_postinst() {
gnome2_icon_cache_update
xdg_mimeinfo_database_update
xdg_desktop_database_update
}
pkg_postrm() {
gnome2_icon_cache_update
xdg_mimeinfo_database_update
xdg_desktop_database_update
}

Some files were not shown because too many files have changed in this diff Show More

Loading…
Cancel
Save